UPDATE sscSetting SET smallValue='3.2.6' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('advancedSearchEnableFacetedSearch','Enable Faceted Search','If set to yes, a menu of facets and counts related to each search will appear.','LUCENE', 'booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('advancedSearchNumberOfFacetsToDisplay','Number Of Facets To Display','The maximum number of facet value options to display in the customer interface under each facet.','LUCENE', 'integerValue',20,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('advancedSearchFacetTreeDepth','Facet Category Tree Depth Searched For','The maximum levels deep to retrive facet information for for the category tree. Unless you are concerned about performance and have a deep category tree, set this to a high number.','LUCENE', 'integerValue',10,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('advancedSearchFacetTreeDepthDisplayed','Facet Category Tree Depth Displayed','The maximum number of nested levels to display for categories in the faceted search widget. Use this number to control how many nested category levels should be displayed in the faceted search widget.','LUCENE', 'integerValue',2,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('advancedSearchDisplayFacetedSearchWidget','Display Faceted Search Wigdet','If faceted search is enabled, displays the faceted search widget in the sidebar, allowing the customer to further refine his search.','HEADERANDSIDEPANEL,LUCENE', 'booleanValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('advancedSearchPriceRangeNumberOfLevels','Maximum Number of Price Ranges','If faceted search is enabled, determines the maximum number of price range options listed in the Faceted Search Widet. The price for each product is determined solely by the unit price field for the product (no attribute or option prices are considered). To suppress this facet from being displayed at all, set this value to zero. Whenever this field changes you must reindex for it to take effect.','LUCENE', 'integerValue',5,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('advancedSearchPriceRangeMultiplier','Price Range Multiplier','The multiplier used for the price range options listed in the Faceted Search Widet. For example, if the multiplier is set to 25 and the Maximum Number of Price Ranges is 5, the price range options will include 0-25, 25-50, 50-100, 100-200, and 200+.','LUCENE', 'integerValue',25,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('hideCategoryTreeWhenFacetsToDisplay','Hide Category Tree When Facets to Display','If faceted search is enabled and the Faceted Search Widet is set to display, hide the category tree to make more room for the Faceted Search Widet.','HEADERANDSIDEPANEL,LUCENE', 'booleanValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('heightOfEachFacetInWidget','Height of Each Facet in Widget','The height of each facet displayed in the widget will be set at this many pixels, and a scrollbar will be used to scroll through the facet values. Set to 0 to not restrict the height at all.','HEADERANDSIDEPANEL,LUCENE', 'integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('loadFacetCategoriesFromDatabase','Load Facet Categories from Database','Specifies if the category objects corresponding to facets should be loaded from the database. If false, the categories are looked up via the cached categories from the category tree for a performance improvement. (Note: facet manufacturers are always loaded from the database.)','LUCENE', 'booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('allowCustomersToSubmitMultipleReviewsPerProduct', 'Allow Customers to Submit More than One Review Per Product?', 'If set to yes, customers will be able to submit more than one review for each product in the store. All reviews must be approved by an administrator before being displayed.', 'CUSTOMERACCOUNT', 'booleanValue', 0, NULL, NULL, NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('useAjaxForFacetedSearch', 'Use Ajax for Faceted Search', 'Use Ajax when checkboxes are clicked in the Faceted Search Widget, to refresh the product list and facet counts in the other facet groups. If this is not enabled, a regular HTML form will be employed by the Faceted Search Widget.', 'LUCENE', 'booleanValue', 1, NULL, NULL, NULL);

