<%@ page contentType="application/json; charset=UTF-8" pageEncoding="UTF-8"%><%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.customer.Customer,com.softslate.commerce.businessobjects.customer.CustomerAddress" %><%@ page import="org.apache.commons.lang3.StringEscapeUtils" %><%@ page import="org.apache.commons.lang.StringUtils" %>
<c:set var="customer" value="${requestScope.customer}"/>
<c:if test="${!empty customer}">
	"userName": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((Customer)pageContext.getAttribute("customer")).getUserName()))%>",
	"firstName": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((Customer)pageContext.getAttribute("customer")).getFirstName()))%>",
	"lastName": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((Customer)pageContext.getAttribute("customer")).getLastName()))%>",
	"address1": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((Customer)pageContext.getAttribute("customer")).getAddress1()))%>",
	"address2": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((Customer)pageContext.getAttribute("customer")).getAddress2()))%>",
	"city": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((Customer)pageContext.getAttribute("customer")).getCity()))%>",
	"state": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((Customer)pageContext.getAttribute("customer")).getState()))%>",
	"postalCode": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((Customer)pageContext.getAttribute("customer")).getPostalCode()))%>",
	"country": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((Customer)pageContext.getAttribute("customer")).getCountry()))%>",
	"email1": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((Customer)pageContext.getAttribute("customer")).getEmail1()))%>",
	"email2": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((Customer)pageContext.getAttribute("customer")).getEmail2()))%>",
	"phone1": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((Customer)pageContext.getAttribute("customer")).getPhone1()))%>",
	"phone2": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((Customer)pageContext.getAttribute("customer")).getPhone2()))%>"
	<c:if test="${!empty customer.customerAddressCollection}">
		, "customerAddresses":[
			<c:set var="delim" value=""/>
			<c:forEach items="${customer.customerAddressCollection}" var="customerAddress">
				<c:out value="${delim}"/>
				<c:set var="delim" value=", "/>
				{
					"customerAddressID": <c:out value="${customerAddress.customerAddressID}"/>,
					"firstName": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((CustomerAddress)pageContext.getAttribute("customerAddress")).getFirstName()))%>",
					"lastName": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((CustomerAddress)pageContext.getAttribute("customerAddress")).getLastName()))%>",
					"address1": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((CustomerAddress)pageContext.getAttribute("customerAddress")).getAddress1()))%>",
					"address2": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((CustomerAddress)pageContext.getAttribute("customerAddress")).getAddress2()))%>",
					"city": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((CustomerAddress)pageContext.getAttribute("customerAddress")).getCity()))%>",
					"state": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((CustomerAddress)pageContext.getAttribute("customerAddress")).getState()))%>",
					"postalCode": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((CustomerAddress)pageContext.getAttribute("customerAddress")).getPostalCode()))%>",
					"country": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((CustomerAddress)pageContext.getAttribute("customerAddress")).getCountry()))%>",
					"email1": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((CustomerAddress)pageContext.getAttribute("customerAddress")).getEmail1()))%>",
					"email2": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((CustomerAddress)pageContext.getAttribute("customerAddress")).getEmail2()))%>",
					"phone1": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((CustomerAddress)pageContext.getAttribute("customerAddress")).getPhone1()))%>",
					"phone2": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((CustomerAddress)pageContext.getAttribute("customerAddress")).getPhone2()))%>",
					"isBilling": <c:choose><c:when test="${customerAddress.isBilling}">true</c:when><c:otherwise>false</c:otherwise></c:choose>,
					"isDefault": <c:choose><c:when test="${customerAddress.isDefault}">true</c:when><c:otherwise>false</c:otherwise></c:choose>
				}
			</c:forEach>
		]
	</c:if>
</c:if>
