<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->

<%-- If using ServerToServer or AcceptJS, profiles and add/edit forms are loading by Ajax. This template sets all that up. --%>
<ssc:loadscript name="jquery"><script src="${pageContext.request.contextPath}/js/jquery/jquery.js"></script></ssc:loadscript>
<ssc:loadscript name="jquery-ui"><script type="text/javascript" src="${pageContext.request.contextPath}/js/jquery/jquery-ui.min.js"></script></ssc:loadscript>
<ssc:loadscript name="jquery-ui-css"><link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/js/jquery/jquery-ui.min.css" /></ssc:loadscript>
<c:choose>
	<c:when test="${settings.map.authorizeNetIntegrationMethod eq 'AcceptJS' and settings.map.authorizeNetTestRequest eq '1'}">
		<script type="text/javascript" src="https://jstest.authorize.net/v1/Accept.js" charset="utf-8"></script>
		<ssc:insert page="/WEB-INF/layouts/default/payment/authorizeNetAcceptJSHelper.jsp" />
	</c:when>
	<c:when test="${settings.map.authorizeNetIntegrationMethod eq 'AcceptJS' and settings.map.authorizeNetTestRequest ne '1'}">
		<script type="text/javascript" src="https://js.authorize.net/v1/Accept.js" charset="utf-8"></script>
		<ssc:insert page="/WEB-INF/layouts/default/payment/authorizeNetAcceptJSHelper.jsp" />
	</c:when>
</c:choose>
<ssc:loadscript name="authorizeNetManageProfilesServerToServer"><script src="${pageContext.request.contextPath}/js/softslate/authorizeNetManageProfilesServerToServer.js"></script></ssc:loadscript>
<script type="text/javascript">
	(function($) {
		$(document).ready(function() {
			$.SSCManageProfilesServerToServer.init();
	    	});
	})(jQuery);
</script>

<%-- Placeholder for Ajax content. This is populated by a call to AuthorizeNetLoadProfilesAjax.do and ajax/authorizeNetProfilesDisplay.jsp --%>
<div id="paymentProfilesDisplay">&nbsp;</div>
			
<div id="authorizeNetAPIPopup" title="<bean:message key="customer.cimEditPaymentMethodHeader" bundle="/customer"/>" style="display:none;">
	<div id="authorizeNetAPIPopupMessages">
	</div>
	<form id="billingAddressEditForm" name="billingAddressEditForm" class="centeredForm">
		<div id="authorizeNetAPIPopupBody">
		</div>
		<div id="authorizeNetAPIPopupButtons">
			<input type="hidden" name="csrfToken" value="${sessionScope.csrfToken}"/>
			<input id="billingAddressEditSubmitButton" type="submit" class="btn btn-primary" value="<bean:message key="cimProfile.editButton" bundle="/customer"/>"/>
			<input id="billingAddressEditCancelButton" type="submit" class="btn btn-default" value="<bean:message key="cimProfile.editCloseButton" bundle="/customer"/>"/>
		</div>
	</form>
</div>
<div id="authorizeNetAPIPopupAdd" title="<bean:message key="customer.cimAddPaymentMethodHeader" bundle="/customer"/>" style="display:none;">
	<div id="authorizeNetAPIPopupAddMessages">
	</div>
	<form id="billingAddressAddForm" name="billinAddressAddForm" class="centeredForm">
		<div id="authorizeNetAPIPopupAddBody">
		</div>
		<div id="authorizeNetAPIPopupAddButtons">
			<input type="hidden" name="csrfToken" value="${sessionScope.csrfToken}"/>
			<input id="billingAddressAddSubmitButton" type="submit" class="btn btn-primary" value="<bean:message key="cimProfile.addButton" bundle="/customer"/>"/>
			<input id="billingAddressAddCancelButton" type="submit" class="btn btn-default" value="<bean:message key="cimProfile.addCloseButton" bundle="/customer"/>"/>
		</div>
	</form>
</div>
<div id="authorizeNetAPIDeleteDialog" title="<bean:message key="cimProfile.deleteAreYouSureTitle" bundle="/customer"/>" style="display: none; text-align: left;">
	<div id="authorizeNetAPIDeleteMessages"></div>
	<bean:message key="cimProfile.deleteAreYouSure" bundle="/customer"/>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
