<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<div id="basicPaymentForm" class="paymentInformation panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title"><bean:message key="paymentForms.checkHeading" bundle="/order" /></h3>
	</div>
	<div class="panel-body">
		<p class="instructions"><bean:message key="paymentForms.checkInstructions" bundle="/order"/></p>
		<p id="sendCheckTo"><bean:message key="paymentForms.sendCheckTo" bundle="/order"/>:</p>
		<address id="storeAddress">
			<strong>${settings.map.storeName}</strong><br>
			${settings.map.storeAddress1} ${settings.map.storeAddress2}<br>
			${settings.map.storeCity}, ${settings.map.storeStateOrProvince} ${settings.map.storePostalCode}
		</address>
		<logic:notPresent name="suppressSubmitButton">
			<div id="checkPaymentButton" class="paymentButton text-center">
				<c:if test="${displayCheckoutConfirm eq '0'}">
					<input id="checkPaymentSubmit" type="submit" class="submitOnceButton btn btn-primary" value="<bean:message key="paymentForms.button" bundle="/order"/>" />
				</c:if>
				<c:if test="${displayCheckoutConfirm eq '1'}">
					<input id="checkPaymentSubmit" type="submit" class="btn btn-primary" value="<bean:message key="paymentForms.continueButton" bundle="/order"/>" />
				</c:if>
			</div>
		</logic:notPresent>
	</div>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
