<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<c:set var="sort" value="${searchList.sortBy}"/>
<div class="sortByLinks">
	<bean:message key="advancedSearch.sortBy" bundle="/product"/>:
	<c:if test="${pageTitleKey eq 'page.searchResults'}">
		<c:choose>
			<c:when test="${sort eq 'score'}">
				<bean:message key="advancedSearch.score" bundle="/product"/>
			</c:when>
			<c:otherwise>
				<ssc:link href="${customerURL}${linkBase}sortBy=score${facetsParam}" styleClass="sortBy"><bean:message key="advancedSearch.score" bundle="/product"/></ssc:link>
			</c:otherwise>
		</c:choose>
		 |
	</c:if>
	<c:choose>
		<c:when test="${sort eq 'priceDesc'}">
			<bean:message key="product.unitPrice" bundle="/product"/>&nbsp;<span title="<bean:message key="advancedSearch.priceDesc" bundle="/product"/>" class="glyphicon glyphicon-arrow-down"></span>
		</c:when>
		<c:otherwise>
			<ssc:link href="${customerURL}${linkBase}sortBy=priceDesc${facetsParam}" styleClass="sortBy">
				<bean:message key="product.unitPrice" bundle="/product"/>&nbsp;<span title="<bean:message key="advancedSearch.priceDesc" bundle="/product"/>" class="glyphicon glyphicon-arrow-down"></span>
			</ssc:link>
		</c:otherwise>
	</c:choose>
	 |
	<c:choose>
		<c:when test="${sort eq 'priceAsc'}">
			<bean:message key="product.unitPrice" bundle="/product"/>&nbsp;<span title="<bean:message key="advancedSearch.priceAsc" bundle="/product"/>" class="glyphicon glyphicon-arrow-up"></span>
		</c:when>
		<c:otherwise>
			<ssc:link href="${customerURL}${linkBase}sortBy=priceAsc${facetsParam}" styleClass="sortBy">
				<bean:message key="product.unitPrice" bundle="/product"/>&nbsp;<span title="<bean:message key="advancedSearch.priceAsc" bundle="/product"/>" class="glyphicon glyphicon-arrow-up"></span>
			</ssc:link>
		</c:otherwise>
	</c:choose>
	 |
	<c:choose>
		<c:when test="${sort eq 'nameAsc'}">
			<bean:message key="product.name" bundle="/product"/>&nbsp;<span title="<bean:message key="advancedSearch.nameAsc" bundle="/product"/>" class="glyphicon glyphicon-arrow-down"></span>
		</c:when>
		<c:otherwise>
			<ssc:link href="${customerURL}${linkBase}sortBy=nameAsc${facetsParam}" styleClass="sortBy">
				<bean:message key="product.name" bundle="/product"/>&nbsp;<span title="<bean:message key="advancedSearch.nameAsc" bundle="/product"/>" class="glyphicon glyphicon-arrow-down"></span>
			</ssc:link>
		</c:otherwise>
	</c:choose>
	 |
	<c:choose>
		<c:when test="${sort eq 'nameDesc'}">
			<bean:message key="product.name" bundle="/product"/>&nbsp;<span title="<bean:message key="advancedSearch.nameDesc" bundle="/product"/>" class="glyphicon glyphicon-arrow-up"></span>
		</c:when>
		<c:otherwise>
			<ssc:link href="${customerURL}${linkBase}sortBy=nameDesc${facetsParam}" styleClass="sortBy">
				<bean:message key="product.name" bundle="/product"/>&nbsp;<span title="<bean:message key="advancedSearch.nameDesc" bundle="/product"/>" class="glyphicon glyphicon-arrow-up"></span>
			</ssc:link>
		</c:otherwise>
	</c:choose>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
