package com.softslate.commerce.daos.shipping;

import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.BaseAdminGatewayDAOHibernate;

/**
 * Generic DAO that runs miscellaneous queries related to shipping rates.
 * 
 * @author David Tobey
 */
public class ShippingRateGatewayDAOHibernate extends BaseAdminGatewayDAOHibernate implements ShippingRateGatewayDAO {

	static Log log = LogFactory.getLog(ShippingRateGatewayDAOHibernate.class);

	public Map loadShippingRatesAndCount(Map parameters) throws Exception {
		return loadItemsAndCount(parameters);
	}

	public Map editDeleteShippingRates(Map parameters, BusinessObjectFactory bof) throws Exception {
		return editDeleteItems(parameters, bof);
	}
}
