<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start editModeButton.jsp -->
<c:if test="${editPermission eq 'true'}">
	<form class="editModeForm" name="editModeForm" action="<c:out value="${formAction}"/>" method="post">
		<html:hidden name="mainForm" property="itemsPerPage"/>
		<html:hidden name="mainForm" property="firstRow"/>
		<html:hidden name="mainForm" property="searchString"/>
		<html:hidden name="mainForm" property="sortByString"/>
		<html:hidden name="mainForm" property="sortAscOrDesc"/>
		<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />
		<logic:iterate collection="<%= displayFieldArray %>" id="displayField" type="java.lang.String">
			<input type="hidden" name="displayFields" value="<%= displayField %>" />
		</logic:iterate>
		<c:if test="${!empty parentIDField}">
			<input type="hidden" name="parentIDField" value="<c:out value="${parentIDField}"/>"/>
			<input type="hidden" name="<c:out value="${parentIDField}"/>" value="<c:out value="${parentIDValue}"/>"/>
		</c:if>
		<c:if test="${(mainForm.entityProperty eq 'attribute' or mainForm.entityProperty eq 'option' or mainForm.entityProperty eq 'discount' or mainForm.entityProperty eq 'discountRange') and !empty mainForm.productID}">
			<html:hidden name="mainForm" property="productID"/>
		</c:if>
		<c:if test="${mainForm.entityProperty eq 'discountRange' and !empty mainForm.skuID}">
			<html:hidden name="mainForm" property="skuID"/>
		</c:if>
		<c:if test="${mainForm.entityProperty eq 'order' and !empty mainForm.workWithOrders}">
			<html:hidden name="mainForm" property="workWithOrders"/>
		</c:if>
		<c:if test="${mainForm.entityProperty eq 'category' and !empty mainForm.workWithCategories}">
			<html:hidden name="mainForm" property="workWithCategories"/>
		</c:if>
		<c:if test="${mainForm.entityProperty eq 'requestLog' and !empty mainForm.workWithRequests}">
			<html:hidden name="mainForm" property="workWithRequests"/>
		</c:if>
		<c:if test="${!empty mainForm.assignments}">
			<html:hidden name="mainForm" property="assignments"/>
		</c:if>
		<span class="label"><bean:message key="administrator.editMode" bundle="/administrator/administrator"/>:</span>
		<c:if test="${mainForm.editMode eq 'false'}">
			<input type="hidden" id="editMode" name="editMode" value="true" />
			<input type="submit" class="button" name="editMode" value="On"/>
			<input type="submit" class="button" name="editMode" value="Off" disabled="disabled"/>
			<%-- <input type="radio" name="editMode" value="true" onclick="document.forms.editModeForm.submit()"/> <bean:message key="administrator.on" bundle="/administrator/administrator"/>
			<input type="radio" name="editMode" checked="checked" value="false"/> <bean:message key="administrator.off" bundle="/administrator/administrator"/> --%>
		</c:if>
		<c:if test="${mainForm.editMode eq 'true'}">
			<input type="hidden" id="editMode" name="editMode" value="false" />
			<input type="submit" class="button" name="editMode" value="On" disabled="disabled"/>
			<input type="submit" class="button" name="editMode" value="Off"/>
			<%-- <input type="radio" name="editMode" checked="checked" value="true"/> <bean:message key="administrator.on" bundle="/administrator/administrator"/>
			<input type="radio" name="editMode" value="false" onclick="document.forms.editModeForm.submit()"/> <bean:message key="administrator.off" bundle="/administrator/administrator"/> --%>
		</c:if>
	</form>
</c:if>
<!-- End editModeButton.jsp -->
