<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start orderDiscountFieldColumns.jsp -->
<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />
<bean:define id="fieldArray" name="mainForm" property="fields" type="java.lang.String[]" />
<% java.util.Collection displayFieldCollection = java.util.Arrays.asList(displayFieldArray); %>
<logic:iterate collection="<%= fieldArray %>" id="field" type="java.lang.String">
	<% if (displayFieldCollection.contains(field)) { %>
		<td class="dataCell <c:out value="${field}"/>">
			<c:choose>
				<c:when test="${mainForm.editMode eq 'true'}">
					<c:choose>
						<c:when test="${field eq 'orderDiscountID'}">
							<c:out value="${item[field]}" />
						</c:when>
						<c:when test="${field eq 'orderItemID'}">
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
							<c:out value="${item[field]}" />
						</c:when>
						<c:when test="${field eq 'usersAppliesType'}">
							<html:select name="item" property="usersAppliesType">
								<html:option value="[allUsers]">All Users</html:option>
								<html:option value="[loggedIn]">Logged In Customers</html:option>
								<html:option value="[userNames]">User Names</html:option>
								<html:option value="[customerStatuses]">Customer Statuses</html:option>
								<html:option value="[previousOrderTotal]">Total of Previous Orders</html:option>
							</html:select>
						</c:when>
						<c:when test="${field eq 'itemsAppliesType'}">
							<html:select name="item" property="itemsAppliesType">
								<html:option value="[global]">Global</html:option>
								<html:option value="[skus]">SKUs</html:option>
							</html:select>
						</c:when>
						<c:when test="${field eq 'rewardType'}">
							<html:select name="item" property="rewardType">
								<html:option value="[percentage]">Percentage</html:option>
								<html:option value="[amount]">Amount</html:option>
								<html:option value="[quantityAdded]">Added Quantity</html:option>
								<html:option value="[shipping]">Free Shipping</html:option>
								<html:option value="[rangeByQuantity]">Range By Quantity</html:option>
								<html:option value="[rangeByPrice]">Range By Price</html:option>
							</html:select>
						</c:when>
						<c:when test="${field eq 'cartItemsType'}">
							<html:select name="item" property="cartItemsType">
								<html:option value="[noItemsRequired]">No Items Required</html:option>
								<html:option value="[anyOneItem]">Any One Item</html:option>
								<html:option value="[allItems]">All Items</html:option>
							</html:select>
						</c:when>
						<c:otherwise>
							<input type="text" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
						</c:otherwise>
					</c:choose>
				</c:when>
				<c:otherwise>
					<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
					<c:choose>
						<c:when test="${field eq 'usersAppliesType'}">
							<c:choose>
								<c:when test="${item.usersAppliesType eq '[allUsers]'}">
									All Users
								</c:when>
								<c:when test="${item.usersAppliesType eq '[loggedIn]'}">
									Logged In Customers
								</c:when>
								<c:when test="${item.usersAppliesType eq '[userNames]'}">
									User Names
								</c:when>
								<c:when test="${item.usersAppliesType eq '[customerStatuses]'}">
									Customer Statuses
								</c:when>
								<c:when test="${item.usersAppliesType eq '[previousOrderTotal]'}">
									Total of Previous Orders
								</c:when>
								<c:otherwise>
									<c:out value="${item.usersAppliesType}"/>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'itemsAppliesType'}">
							<c:choose>
								<c:when test="${item.itemsAppliesType eq '[global]'}">
									Global
								</c:when>
								<c:when test="${item.itemsAppliesType eq '[skus]'}">
									SKUs
								</c:when>
								<c:otherwise>
									<c:out value="${item.itemsAppliesType}"/>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'rewardType'}">
							<c:choose>
								<c:when test="${item.rewardType eq '[percentage]'}">
									Percentage
								</c:when>
								<c:when test="${item.rewardType eq '[amount]'}">
									Amount
								</c:when>
								<c:when test="${item.rewardType eq '[quantityAdded]'}">
									Added Quantity
								</c:when>
								<c:when test="${item.rewardType eq '[shipping]'}">
									Free Shipping
								</c:when>
								<c:when test="${item.rewardType eq '[rangeByQuantity]'}">
									Range By Quantity
								</c:when>
								<c:when test="${item.rewardType eq '[rangeByPrice]'}">
									Range By Price
								</c:when>
								<c:otherwise>
									<c:out value="${item.rewardType}"/>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'cartItemsType'}">
							<c:choose>
								<c:when test="${item.cartItemsType eq '[noItemsRequired]'}">
									Percentage
								</c:when>
								<c:when test="${item.cartItemsType eq '[anyOneItem]'}">
									Any One Item
								</c:when>
								<c:when test="${item.cartItemsType eq '[allItems]'}">
									All Items
								</c:when>
								<c:otherwise>
									<c:out value="${item.cartItemsType}"/>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:otherwise>
							<c:out value="${item[field]}" />
						</c:otherwise>
					</c:choose>
				</c:otherwise>
			</c:choose>
		</td>
	<% } %>
</logic:iterate>
<!-- End orderDiscountFieldColumns.jsp -->
