<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)" />

<!-- Start shippingRuleRangeEditForm.jsp -->
<logic:equal name="shippingRuleRangeAddEditForm" property="shippingRuleType" value="[package]">
	<h4 class="shippingRuleTypeHeading">Package Size or Weight Rule</h4>
</logic:equal>
<logic:equal name="shippingRuleRangeAddEditForm" property="shippingRuleType" value="[discount]">
	<h4 class="shippingRuleTypeHeading">Shipping Discount Rule</h4>
</logic:equal>
<logic:equal name="shippingRuleRangeAddEditForm" property="shippingRuleType" value="[methodlimit]">
	<h4 class="shippingRuleTypeHeading">Method Limit Rule</h4>
</logic:equal>
<logic:equal name="shippingRuleRangeAddEditForm" property="shippingRuleType" value="[limitByLocation]">
	<h4 class="shippingRuleTypeHeading">Method Limit by Location Rule</h4>
</logic:equal>

<html:form action="/ShippingRuleRangeEdit" method="post">
	<html:hidden name="shippingRuleRangeAddEditForm" property="shippingRuleRangeID" />
	<table class="addEditTable settingsTable">
		<ssc:insert attribute="formGuts" />
	</table>
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButton">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
</html:form>
<logic:equal name="editPermission" value="true">
	<form name="shippingRuleRangeDeleteForm" class="adminDeleteButton" action="<c:out value="${settings.map.administratorURL}"/>/ShippingRuleRangeDelete.do" method="post">
		<input type="hidden" name="shippingRuleRangeID" value="<bean:write name="shippingRuleRangeAddEditForm" property="shippingRuleRangeID" />" />
		<input type="hidden" name="shippingRuleID" value="<bean:write name="shippingRuleRangeAddEditForm" property="shippingRuleID" />" />
		<input type="hidden" name="skuID" value="<bean:write name="shippingRuleRangeAddEditForm" property="skuID" />" />
		<input type="submit" onclick="return confirm('<bean:message key="administrator.confirmDelete" bundle="/administrator/administrator"/>')" class="button" name="deleteProductSubmit"
			value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
	</form>
</logic:equal>

<!-- End shippingRuleRangeEditForm.jsp -->
