CREATE TABLE sscProductReview (
  productReviewID INT(11) NOT NULL AUTO_INCREMENT,
  productID INT(11) NOT NULL,
  status INT(11) DEFAULT 0,
  class VARCHAR(255) NOT NULL DEFAULT 'com.softslate.commerce.businessobjects.product.ProductReviewBean',
  nickname VARCHAR(255),
  firstName VARCHAR(255),
  lastName VARCHAR(255),
  email VARCHAR(255),
  age VARCHAR(255),
  city VARCHAR(255),
  state VARCHAR(255),
  review text,
  rating INT(11),
  created VARCHAR(255),
  imagePath VARCHAR(255),
  ipaddress VARCHAR(255),
  country VARCHAR(255),
  customerID INT(11),
  PRIMARY KEY  (productReviewID),
  FOREIGN KEY (`customerID`) REFERENCES `sscCustomer` (`customerID`) ON DELETE SET NULL,
  FOREIGN KEY (`productID`) REFERENCES `sscProduct` (`productID`) ON DELETE CASCADE
);

CREATE INDEX IDX_sscProductReview_rating ON sscProductReview (rating);
CREATE INDEX IDX_sscProductReview_nickname ON sscProductReview (nickname);
