<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<%-- This template is used only if there is no category with a code of _welcome, representing the welcome page. --%>
<c:if test="${settings.map.maxWelcomePageCarouselCategories ne '0' and !empty categoryTree and !categoryTree['empty']}">
	<ssc:insert page="/WEB-INF/layouts/default-html5/product/carousel.jsp" flush="false">
		<ssc:put name="listCollection" beanName="categoryTree"/>
		<ssc:put name="objectType" value="Category"/>
		<ssc:put name="maxItems" value="${settings.map.maxWelcomePageCarouselCategories}"/>
	</ssc:insert>
</c:if>
<div class="col-xs-12 flush">
	<div class="page-header">
		<h1><bean:message key="page.welcome"/></h1>
	</div>
	<p><bean:message key="welcome.message"/></p>
	<c:if test="${settings.map.displayCategoriesOnWelcomePage eq '1' and !empty categoryTree and !categoryTree['empty']}">
		<c:set var="supressSubcategoriesHeading" scope="request" value="true"/>
		<ssc:insert page="/WEB-INF/layouts/default-html5/product/subcategories.jsp">
			<ssc:put name="subcategories" beanName="categoryTree" />
		</ssc:insert>
	</c:if>
</div>
<!-- End ${pageScope.sscCurrentPage} -->