<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.product.LuceneFacetHelper" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<ssc:useAttribute name="facetGroup"/>
<c:forEach var="facet" items="${facetGroup.subResults}">
	<c:set var="facetPath" value="${facet.facetName}"/>
	<%
		String path = pageContext.getAttribute("facetPath").toString();
		pageContext.setAttribute("facetCategoryCode", path.substring(path.lastIndexOf(LuceneFacetHelper.FACET_SEPARATOR) + 1));
		pageContext.setAttribute("facetPathSurrounded", "," + path + ",");
	%>
	<c:set var="facetCategory" value="${searchList.facetCategories[facetCategoryCode]}"/>
	<c:if var="parentMatch" test="${false}"/>
	<c:forTokens var="thisCategoryID" items="${requestScope.currentCategory.parentString}" delims=",">
		<c:if var="parentMatch" test="${parentMatch or thisCategoryID == facetCategory.categoryID}"/>
	</c:forTokens>
	<c:if test="${!empty facetCategory and requestScope.currentCategory.code ne facetCategory.code and !parentMatch}">
		<c:if test="${!displayedHeader}">
			<c:set var="displayedHeader" scope="request" value="${true}"/>
			<c:set var="facetSearchCategoriesLevel" scope="request" value="1"/>
			<div id="${facetGroup.facetName}" class="facetGroup panel panel-default">
				<div class="panel-heading">
					<h5 class="facetResultHeading panel-title"><bean:message key="advancedSearch.categories" bundle="/product"/></h5>
				</div>
				<ul class="facetList panel-body">
		</c:if>
		<li id="${facetPath}" class="facet">
			<label class="facetNameAndCount" for="checkbox-${facetPath}">
				<input type="checkbox" class="drilldown" name="facets" value="${facetPath}" id="checkbox-${facetPath}" <c:if test="${fn:contains(incomingFacets, facetPathSurrounded)}">checked="checked"</c:if>/>&nbsp;
				<span class="facetName"><c:out value="${facetCategory.name}" escapeXml="false"/></span>&nbsp;
				<span class="badge facetCount"><fmt:formatNumber maxFractionDigits="0" value="${facet.facetValue}"/></span>
			</label>
	</c:if>
	<c:if test="${!empty facetCategory and !empty facet.subResults}">
		<c:if test="${displayedHeader}">
			<c:set var="displayedSubHeader" scope="page" value="${true}"/>
			<ul>
		</c:if>
		<c:if test="${!displayedHeader or (facetSearchCategoriesLevel < settings.map.advancedSearchFacetTreeDepthDisplayed)}">
			<c:set var="facetSearchCategoriesLevel" scope="request" value="${facetSearchCategoriesLevel + 1}"/>
			<ssc:insert page="/WEB-INF/layouts/default/product/facetedSearchCategories.jsp" flush="false">
				<ssc:put name="facetGroup" beanName="facet"/>
			</ssc:insert>
			<c:set var="facetSearchCategoriesLevel" scope="request" value="${facetSearchCategoriesLevel - 1}"/>
		</c:if>
		<c:if test="${displayedSubHeader}">
			</ul>
		</c:if>
	</c:if>
	<c:if test="${!empty facetCategory and requestScope.currentCategory.code ne facetCategory.code and !parentMatch}">
		</li>
	</c:if>
</c:forEach>
<!-- End ${pageScope.sscCurrentPage} -->
