package com.softslate.commerce.businessobjects.events;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BaseBusinessObject;
import com.softslate.commerce.businessobjects.core.BusinessProcessor;
import com.softslate.commerce.businessobjects.product.Product;

public class ChangingProductEventImpl extends BaseBusinessObject implements ChangingProductEvent {

	private BusinessProcessor businessProcessor;
	private Product product;
	private Map incomingParameters;
	private Map results;

	public BusinessProcessor getBusinessProcessor() {
		return businessProcessor;
	}

	public void setBusinessProcessor(BusinessProcessor businessProcessor) {
		this.businessProcessor = businessProcessor;
	}

	public Product getProduct() {
		return product;
	}

	public void setProduct(Product product) {
		this.product = product;
	}

	public Map getIncomingParameters() {
		return incomingParameters;
	}

	public void setIncomingParameters(Map incomingParameters) {
		this.incomingParameters = incomingParameters;
	}

	public Map getResults() {
		return results;
	}

	public void setResults(Map results) {
		this.results = results;
	}

}