INSERT INTO sscREVINFO (id, timestamp) values (1, 978307200000);

INSERT INTO sscAudAdministrator
(class, administratorID, REV, REVTYPE, userName, password, lastLogin, isApiUser, passwordExpires, numberOfFailedLogins, lockedOutUntil, previousPasswords, allowedIPAddresses, isActive)
SELECT
class, administratorID, 1, 0, userName, password, lastLogin, isApiUser, passwordExpires, numberOfFailedLogins, lockedOutUntil, previousPasswords, allowedIPAddresses, isActive FROM sscAdministrator;

INSERT INTO sscAudAdministratorRole
(class, administratorRoleID, REV, REVTYPE, administratorID, roleID)
SELECT
class, administratorRoleID, 1, 0, administratorID, roleID FROM sscAdministratorRole;

INSERT INTO sscAudAttribute
(class, attributeID, REV, REVTYPE, attributeCode, attributeName, attributeDescription, attributeIsActive, attributeType, attributeUnitCost, attributeUnitPrice, attributeAltPrice, attributeWeight, attributeSmallImage, attributeLargeImage, attributeIsRequired, defaultOptionID, attributeOrder)
SELECT
class, attributeID, 1, 0, attributeCode, attributeName, attributeDescription, attributeIsActive, attributeType, attributeUnitCost, attributeUnitPrice, attributeAltPrice, attributeWeight, attributeSmallImage, attributeLargeImage, attributeIsRequired, defaultOptionID, attributeOrder FROM sscAttribute;

INSERT INTO sscAudBasicTaxRate
(class, basicTaxRateID, REV, REVTYPE, countryID, stateID, city, postalCode, rate, isActive)
SELECT
class, basicTaxRateID, 1, 0, countryID, stateID, city, postalCode, rate, isActive FROM sscBasicTaxRate;

INSERT INTO sscAudCategory
(class, categoryID, REV, REVTYPE, parentCategory, code, name, description, keywords, isActive, isContentPage, categoryTreeID, header, footer, smallImage, mediumImage, largeImage, extra1, extra2, extra3, categoryOrder)
SELECT
class, categoryID, 1, 0, parentCategory, code, name, description, keywords, isActive, isContentPage, categoryTreeID, header, footer, smallImage, mediumImage, largeImage, extra1, extra2, extra3, categoryOrder FROM sscCategory;

INSERT INTO sscAudCategorySetting
(class, categorySettingID, REV, REVTYPE, categoryID, code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
SELECT
class, categorySettingID, 1, 0, categoryID, code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue FROM sscCategorySetting;

INSERT INTO sscAudCountry
(class, countryID, REV, REVTYPE, code, name, isActive, allowOtherStates, countryOrder)
SELECT
class, countryID, 1, 0, code, name, isActive, allowOtherStates, countryOrder FROM sscCountry;

INSERT INTO sscAudCustomer
(class, customerID, REV, REVTYPE, userName, password, created, lastLogin, autoLoginToken, status, firstName, lastName, organization, address1, address2, city, state, postalCode, country, phone1, phone2, email1, email2, extra1, extra2, extra3, extra4, extra5, notes, cimProfileID, canUsePO, passwordToken, passwordTokenDate)
SELECT
class, customerID, 1, 0, userName, password, created, lastLogin, autoLoginToken, status, firstName, lastName, organization, address1, address2, city, state, postalCode, country, phone1, phone2, email1, email2, extra1, extra2, extra3, extra4, extra5, notes, cimProfileID, canUsePO, passwordToken, passwordTokenDate FROM sscCustomer;

INSERT INTO sscAudCustomerAddress
(class, customerAddressID, REV, REVTYPE, customerID, status, firstName, lastName, organization, address1, address2, city, state, postalCode, country, phone1, phone2, email1, email2, extra1, extra2, extra3, extra4, extra5, notes, isDefault, paymentToken, creditCardName, creditCardType, creditCardDate, creditCardNumberDisplay, identifier, isBilling)
SELECT
class, customerAddressID, 1, 0, customerID, status, firstName, lastName, organization, address1, address2, city, state, postalCode, country, phone1, phone2, email1, email2, extra1, extra2, extra3, extra4, extra5, notes, isDefault, paymentToken, creditCardName, creditCardType, creditCardDate, creditCardNumberDisplay, identifier, isBilling FROM sscCustomerAddress;

INSERT INTO sscAudCustomerWishList
(class, customerWishListID, REV, REVTYPE, customerID, name, description, created, lastUpdated)
SELECT
class, customerWishListID, 1, 0, customerID, name, description, created, lastUpdated FROM sscCustomerWishList;

INSERT INTO sscAudCustomerWishListProduct
(class, customerWishListProductID, REV, REVTYPE, customerWishListID, productID)
SELECT
class, customerWishListProductID, 1, 0, customerWishListID, productID FROM sscCustomerWishListProduct;

INSERT INTO sscAudDiscount
(class, discountID, REV, REVTYPE, code, name, description, isActive, usersAppliesType, usersAppliesValue, itemsAppliesType, itemsAppliesValue, cartItemsType, cartItemsValue, rewardType, reward, couponCode, startDate, expirationDate, timesUsed, maxTimesUsed, isTimesPerCustomer, orderItemID, discountOrder, extra1, extra2, extra3)
SELECT
class, discountID, 1, 0, code, name, description, isActive, usersAppliesType, usersAppliesValue, itemsAppliesType, itemsAppliesValue, cartItemsType, cartItemsValue, rewardType, reward, couponCode, startDate, expirationDate, timesUsed, maxTimesUsed, isTimesPerCustomer, orderItemID, discountOrder, extra1, extra2, extra3 FROM sscDiscount;

INSERT INTO sscAudDiscountRange
(class, discountRangeID, REV, REVTYPE, discountID, rewardType, reward, floor, ceiling, isActive)
SELECT
class, discountRangeID, 1, 0, discountID, rewardType, reward, floor, ceiling, isActive FROM sscDiscountRange;

INSERT INTO sscAudManufacturer
(class, manufacturerID, REV, REVTYPE, code, name, websiteURL, description, isActive, header, footer, smallImage, largeImage, isDropShipper, address1, address2, city, state, postalCode, country, phone, email, extra1, extra2, extra3, manufacturerOrder)
SELECT
class, manufacturerID, 1, 0, code, name, websiteURL, description, isActive, header, footer, smallImage, largeImage, isDropShipper, address1, address2, city, state, postalCode, country, phone, email, extra1, extra2, extra3, manufacturerOrder FROM sscManufacturer;

INSERT INTO sscAudOption
(class, optionID, REV, REVTYPE, attributeID, optionCode, optionName, optionDescription, optionIsActive, optionUnitCost, optionUnitPrice, optionAltPrice, optionWeight, optionSmallImage, optionLargeImage, optionOrder)
SELECT
class, optionID, 1, 0, attributeID, optionCode, optionName, optionDescription, optionIsActive, optionUnitCost, optionUnitPrice, optionAltPrice, optionWeight, optionSmallImage, optionLargeImage, optionOrder FROM sscOption;

INSERT INTO sscAudOrder
(class, orderID, REV, REVTYPE, customerID, userName, orderNumber, trackingNumber, total, shipping, tax, taxableSubtotal, subtotal, weight, quantity, created, lastModified, completed, autoSavedCartToken, status, statusDetails, shippingMethod, firstName, lastName, organization, address1, address2, city, state, postalCode, country, phone1, phone2, email1, email2, extra1, extra2, extra3, extra4, extra5, notes, paymentProfileID)
SELECT
class, orderID, 1, 0, customerID, userName, orderNumber, trackingNumber, total, shipping, tax, taxableSubtotal, subtotal, weight, quantity, created, lastModified, completed, autoSavedCartToken, status, statusDetails, shippingMethod, firstName, lastName, organization, address1, address2, city, state, postalCode, country, phone1, phone2, email1, email2, extra1, extra2, extra3, extra4, extra5, notes, paymentProfileID FROM sscOrder;

INSERT INTO sscAudOrderDelivery
(class, orderDeliveryID, REV, REVTYPE, orderID, trackingNumber, total, shipping, tax, taxableSubtotal, subtotal, weight, quantity, lastModified, delivered, status, statusDetails, firstName, lastName, organization, address1, address2, city, state, postalCode, country, phone1, phone2, email1, email2, extra1, extra2, extra3, extra4, extra5, notes)
SELECT
class, orderDeliveryID, 1, 0, orderID, trackingNumber, total, shipping, tax, taxableSubtotal, subtotal, weight, quantity, lastModified, delivered, status, statusDetails, firstName, lastName, organization, address1, address2, city, state, postalCode, country, phone1, phone2, email1, email2, extra1, extra2, extra3, extra4, extra5, notes FROM sscOrderDelivery;

INSERT INTO sscAudOrderDiscount
(class, orderDiscountID, REV, REVTYPE, orderID, orderItemID, total, discountID, code, name, usersAppliesType, usersAppliesValue, itemsAppliesType, itemsAppliesValue, cartItemsType, cartItemsValue, rewardType, reward, couponCode, floor, ceiling, extra1, extra2, extra3)
SELECT
class, orderDiscountID, 1, 0, orderID, orderItemID, total, discountID, code, name, usersAppliesType, usersAppliesValue, itemsAppliesType, itemsAppliesValue, cartItemsType, cartItemsValue, rewardType, reward, couponCode, floor, ceiling, extra1, extra2, extra3 FROM sscOrderDiscount;

INSERT INTO sscAudOrderItem
(class, orderItemID, REV, REVTYPE, orderDeliveryID, orderID, total, weight, costTotal, quantity, productID, manufacturerID, code, seoCode, name, isActive, unitCost, unitPrice, altPrice, productWeight, isTaxed, image, shortDescription, extra1, extra2, extra3, extra4, extra5, decrementedSKUs)
SELECT
class, orderItemID, 1, 0, orderDeliveryID, orderID, total, weight, costTotal, quantity, productID, manufacturerID, code, seoCode, name, isActive, unitCost, unitPrice, altPrice, productWeight, isTaxed, image, shortDescription, extra1, extra2, extra3, extra4, extra5, decrementedSKUs FROM sscOrderItem;

INSERT INTO sscAudOrderItemAttribute
(class, orderItemAttributeID, REV, REVTYPE, orderItemID, total, weight, costTotal, attributeValue, attributeID, attributeCode, attributeName, attributeUnitCost, attributeUnitPrice, attributeAltPrice, attributeWeight, attributeImage, optionID, optionCode, optionName, optionUnitCost, optionUnitPrice, optionAltPrice, optionWeight, optionImage)
SELECT
class, orderItemAttributeID, 1, 0, orderItemID, total, weight, costTotal, attributeValue, attributeID, attributeCode, attributeName, attributeUnitCost, attributeUnitPrice, attributeAltPrice, attributeWeight, attributeImage, optionID, optionCode, optionName, optionUnitCost, optionUnitPrice, optionAltPrice, optionWeight, optionImage FROM sscOrderItemAttribute;

INSERT INTO sscAudOrderSetting
(class, orderSettingID, REV, REVTYPE, orderID, code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
SELECT
class, orderSettingID, 1, 0, orderID, code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue FROM sscOrderSetting;

INSERT INTO sscAudOrderShippingRule
(class, orderShippingRuleID, REV, REVTYPE, orderID, orderItemID, total, shippingRuleID, code, name, ruleType, floor, ceiling, discountType, discount, pkgDescription, pkgWeight, pkgLength, pkgHeight, pkgWidth, limitMethods, limitType, extra1, extra2, extra3, pkgExtra1, pkgExtra2, pkgExtra3, pkgExtra4, pkgExtra5, countries, states, subtotal)
SELECT
class, orderShippingRuleID, 1, 0, orderID, orderItemID, total, shippingRuleID, code, name, ruleType, floor, ceiling, discountType, discount, pkgDescription, pkgWeight, pkgLength, pkgHeight, pkgWidth, limitMethods, limitType, extra1, extra2, extra3, pkgExtra1, pkgExtra2, pkgExtra3, pkgExtra4, pkgExtra5, countries, states, subtotal FROM sscOrderShippingRule;

INSERT INTO sscAudPayment
(class, paymentID, REV, REVTYPE, orderID, status, processorClassName, valueFieldLabels, creditCardName, creditCardType, creditCardDate, creditCardNumber, creditCardNumberDisplay, value1, value2, value3, value4, value5, value6, value7, value8, value9, created, amount, extra1, extra2, extra3, paymentProfileID)
SELECT
class, paymentID, 1, 0, orderID, status, processorClassName, valueFieldLabels, creditCardName, creditCardType, creditCardDate, creditCardNumber, creditCardNumberDisplay, value1, value2, value3, value4, value5, value6, value7, value8, value9, created, amount, extra1, extra2, extra3, paymentProfileID FROM sscPayment;

INSERT INTO sscAudProduct
(class, productID, REV, REVTYPE, code, seoCode, name, description, keywords, shortDescription, isActive, isTaxed, unitCost, unitPrice, altPrice, weight, header, footer, smallImage, mediumImage, largeImage, extra1, extra2, extra3, extra4, extra5, created, primaryCategoryID, manufacturerID, productOrder)
SELECT
class, productID, 1, 0, code, seoCode, name, description, keywords, shortDescription, isActive, isTaxed, unitCost, unitPrice, altPrice, weight, header, footer, smallImage, mediumImage, largeImage, extra1, extra2, extra3, extra4, extra5, created, primaryCategoryID, manufacturerID, productOrder FROM sscProduct;

INSERT INTO sscAudProductAttribute
(class, productAttributeID, REV, REVTYPE, productID, attributeID, productAttributeOrder)
SELECT
class, productAttributeID, 1, 0, productID, attributeID, productAttributeOrder FROM sscProductAttribute;

INSERT INTO sscAudProductCategory
(class, productCategoryID, REV, REVTYPE, productID, categoryID, productCategoryOrder)
SELECT
class, productCategoryID, 1, 0, productID, categoryID, productCategoryOrder FROM sscProductCategory;

INSERT INTO sscAudProductReview
(class, productReviewID, REV, REVTYPE, productID, status, firstName, lastName, nickname, email, age, city, state, review, rating, created, imagePath, ipAddress, country, customerID)
SELECT
class, productReviewID, 1, 0, productID, status, firstName, lastName, nickname, email, age, city, state, review, rating, created, imagePath, ipAddress, country, customerID FROM sscProductReview;

INSERT INTO sscAudProductSetting
(class, productSettingID, REV, REVTYPE, productID, code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
SELECT
class, productSettingID, 1, 0, productID, code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue FROM sscProductSetting;

INSERT INTO sscAudRelatedProduct
(class, relatedProductID, REV, REVTYPE, parentProductID, productID, relatedType, relatedProductOrder)
SELECT
class, relatedProductID, 1, 0, parentProductID, productID, relatedType, relatedProductOrder FROM sscRelatedProduct;

INSERT INTO sscAudRole
(class, roleID, REV, REVTYPE, code, name, description)
SELECT
class, roleID, 1, 0, code, name, description FROM sscRole;

INSERT INTO sscAudSetting
(class, settingID, REV, REVTYPE, code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
SELECT
class, settingID, 1, 0, code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue FROM sscSetting;

INSERT INTO sscAudShippingMethod
(class, shippingMethodID, REV, REVTYPE, code, name, minimum, base, methodType, isActive, numberDaysToShip, methodOrder)
SELECT
class, shippingMethodID, 1, 0, code, name, minimum, base, methodType, isActive, numberDaysToShip, methodOrder FROM sscShippingMethod;

INSERT INTO sscAudShippingRate
(class, shippingRateID, REV, REVTYPE, shippingMethodID, floor, ceiling, amount, isActive)
SELECT
class, shippingRateID, 1, 0, shippingMethodID, floor, ceiling, amount, isActive FROM sscShippingRate;

INSERT INTO sscAudShippingRule
(class, shippingRuleID, REV, REVTYPE, code, name, description, isActive, ruleType, ruleOrder, extra1, extra2, extra3)
SELECT
class, shippingRuleID, 1, 0, code, name, description, isActive, ruleType, ruleOrder, extra1, extra2, extra3 FROM sscShippingRule;

INSERT INTO sscAudShippingRuleRange
(class, shippingRuleRangeID, REV, REVTYPE, shippingRuleID, floor, ceiling, isActive, discountType, discount, pkgDescription, pkgWeight, pkgLength, pkgHeight, pkgWidth, pkgExtra1, pkgExtra2, pkgExtra3, pkgExtra4, pkgExtra5, countries, states, limitMethods, limitType)
SELECT
class, shippingRuleRangeID, 1, 0, shippingRuleID, floor, ceiling, isActive, discountType, discount, pkgDescription, pkgWeight, pkgLength, pkgHeight, pkgWidth, pkgExtra1, pkgExtra2, pkgExtra3, pkgExtra4, pkgExtra5, countries, states, limitMethods, limitType FROM sscShippingRuleRange;

INSERT INTO sscAudSKU
(class, skuID, REV, REVTYPE, productID, attributeID1, optionID1, attributeID2, optionID2, attributeID3, optionID3, attributeID4, optionID4, attributeID5, optionID5, skuNumber, skuName, skuMessage, trackInventory, inventoryLevel, extra1, extra2, extra3, notes)
SELECT
class, skuID, 1, 0, productID, attributeID1, optionID1, attributeID2, optionID2, attributeID3, optionID3, attributeID4, optionID4, attributeID5, optionID5, skuNumber, skuName, skuMessage, trackInventory, inventoryLevel, extra1, extra2, extra3, notes FROM sscSKU;

INSERT INTO sscAudSKUDiscount
(class, skuDiscountID, REV, REVTYPE, discountID, skuID)
SELECT
class, skuDiscountID, 1, 0, discountID, skuID FROM sscSKUDiscount;

INSERT INTO sscAudSKUShippingRule
(class, skuShippingRuleID, REV, REVTYPE, shippingRuleID, skuID)
SELECT
class, skuShippingRuleID, 1, 0, shippingRuleID, skuID FROM sscSKUShippingRule;

INSERT INTO sscAudState
(class, stateID, REV, REVTYPE, countryID, code, name, isActive, stateOrder)
SELECT
class, stateID, 1, 0, countryID, code, name, isActive, stateOrder FROM sscState;

INSERT INTO sscAudTemplate
(class, templateID, REV, REVTYPE, code, type, subject, description, bodyHtml, bodyText, isActive)
SELECT
class, templateID, 1, 0, code, type, subject, description, bodyHtml, bodyText, isActive FROM sscTemplate;
