<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start side.jsp -->
<div id="side">
	<logic:present role="superuser,administrator,settingsView,settingsEdit,administratorView,administratorEdit,roleView,roleEdit,
						,settingsStoreContactInfoView,settingsStoreContactInfoEdit,
						,settingsStoreURLsView,settingsStoreURLsEdit,settingsEmailView,settingsEmailEdit,settingsSEOView,settingsSEOEdit,
						,settingsTrackingView,settingsTrackingEdit,settingsContactFormView,settingsContactFormEdit,
						,settingsComponentsView,settingsComponentsEdit,settingsAdvancedSystemView,settingsAdvancedSystemEdit,
						,settingsStoreLogoView,settingsStoreLogoEdit,
						,settingsThemesView,settingsThemesEdit,settingsGeneralDisplayView,settingsGeneralDisplayEdit,
						,settingsHeaderSidePanelView,settingsHeaderSidePanelEdit,settingsProductListDisplayView,settingsProductListDisplayEdit,
						,settingsAdvancedDisplayView,settingsAdvancedDisplayEdit,settingsStylesView,settingsStylesEdit
						,settingsEncryptionView,settingsEncryptionEdit,settingsImageVerificationView,settingsImageVerificationEdit,
						,settingsSessionManagementView,settingsSessionManagementEdit,settingsCustomView,settingsCustomEdit">
	<div class="adminMenu widget">
		<strong class="heading">Settings</strong>
		<div class="widgetBody">
			<ul class="menuList">
				<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsStoreContactInfoView,settingsStoreContactInfoEdit,
								,settingsStoreURLsView,settingsStoreURLsEdit,settingsEmailView,settingsEmailEdit,settingsSEOView,settingsSEOEdit,
								,settingsTrackingView,settingsTrackingEdit,settingsContactFormView,settingsContactFormEdit,
								,settingsComponentsView,settingsComponentsEdit,settingsAdvancedSystemView,settingsAdvancedSystemEdit,settingsCustomView,settingsCustomEdit">
				<li class="menuItem">
					<a href="#" id="StoreSettingsActuator" class="actuator">Store Settings</a>
					<ul id="StoreSettingsMenu" class="menu">
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsStoreContactInfoView,settingsStoreContactInfoEdit">
							<li><a href="SettingsStoreContactInfo.do" <c:if test="${requestScope.pageTitle eq 'Store Contact Information'}">class="active" </c:if>title="Store Contact Info">Store Contact Info</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsStoreURLsView,settingsStoreURLsEdit">
							<li><a href="SettingsStoreURLs.do" <c:if test="${requestScope.pageTitle eq 'Store URL Settings'}">class="active" </c:if>title="Store URLs">Store URLs</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsEmailView,settingsEmailEdit">
							<li><a href="SettingsEmail.do" <c:if test="${requestScope.pageTitle eq 'Outgoing Email Settings'}">class="active" </c:if>title="Outgoing Emails">Outgoing Emails</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsSEOView,settingsSEOEdit">
							<li><a href="SettingsSEO.do" <c:if test="${requestScope.pageTitle eq 'Search Engine Optimization (SEO) Settings'}">class="active" </c:if>title="SEO Settings">SEO Settings</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsTrackingView,settingsTrackingEdit">
							<li><a href="SettingsTracking.do" <c:if test="${requestScope.pageTitle eq 'Tracking Settings'}">class="active" </c:if>title="Tracking">Tracking</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsContactFormView,settingsContactFormEdit">
							<li><a href="SettingsContactForm.do" <c:if test="${requestScope.pageTitle eq 'Contact Form Settings'}">class="active" </c:if>title="Contact Form">Contact Form</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsCustomView,settingsCustomEdit">
							<li><a href="UserSetting.do" <c:if test="${requestScope.pageSectionName eq 'Custom Settings'}">class="active" </c:if>title="Custom Settings">Custom Settings</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsComponentsView,settingsComponentsEdit">
							<li><a href="SettingsComponents.do" <c:if test="${requestScope.pageTitle eq 'Components'}">class="active" </c:if>title="Components">Components</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsAdvancedSystemView,settingsAdvancedSystemEdit">
							<li><a href="SettingsAdvancedSystem.do" <c:if test="${requestScope.pageTitle eq 'Advanced System Settings'}">class="active" </c:if>title="Advanced System Settings">Advanced System Settings</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsView,settingsEdit">
							<li><a href="SettingsIndex.do" <c:if test="${requestScope.pageTitle eq 'Settings Index'}">class="active" </c:if>title="Settings Index">Settings Index</a></li>
						</logic:present>
					</ul>
				</li>
				</logic:present>
				<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsStoreLogoView,settingsStoreLogoEdit,
									,settingsThemesView,settingsThemesEdit,settingsGeneralDisplayView,settingsGeneralDisplayEdit,
									,settingsHeaderSidePanelView,settingsHeaderSidePanelEdit,settingsProductListDisplayView,settingsProductListDisplayEdit,
									,settingsAdvancedDisplayView,settingsAdvancedDisplayEdit,settingsStylesView,settingsStylesEdit,settingsCheckoutFlowView,settingsCheckoutFlowEdit">				
				<li class="menuItem">
					<a href="#" id="LookandFeelSettingsActuator" class="actuator">Look and Feel Settings</a>
					<ul id="LookandFeelSettingsMenu" class="menu">
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsStoreLogoView,settingsStoreLogoEdit">
							<li><a href="SettingsStoreLogo.do" <c:if test="${requestScope.pageTitle eq 'Store Logo Upload'}">class="active" </c:if>title="Store Logo Upload">Store Logo Upload</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsThemesView,settingsThemesEdit">
							<li><a href="SettingsHtml5Themes.do" <c:if test="${requestScope.pageTitle eq 'Html5 Themes'}">class="active" </c:if>title="Themes">Themes</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsGeneralDisplayView,settingsGeneralDisplayEdit">
							<li><a href="SettingsGeneralDisplay.do" <c:if test="${requestScope.pageTitle eq 'General Display Settings'}">class="active" </c:if>title="General Display Settings">General Display Settings</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsHeaderSidePanelView,settingsHeaderSidePanelEdit">
							<li><a href="SettingsHeaderSidePanel.do" <c:if test="${requestScope.pageTitle eq 'Header, Side Panel and Welcome'}">class="active" </c:if>title="Header and Side Panel">Header, Side Panel and Welcome</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsProductListDisplayView,settingsProductListDisplayEdit">
							<li><a href="SettingsProductListDisplay.do" <c:if test="${requestScope.pageTitle eq 'Product List Settings'}">class="active" </c:if>title="Product Lists">Product Lists</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsCheckoutFlowView,settingsCheckoutFlowEdit">
							<li><a href="SettingsCheckoutFlow.do" <c:if test="${requestScope.pageTitle eq 'Checkout Flow Settings'}">class="active" </c:if>title="Checkout Flow Settings">Checkout Flow</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsAdvancedDisplayView,settingsAdvancedDisplayEdit">
							<li><a href="SettingsAdvancedDisplay.do" <c:if test="${requestScope.pageTitle eq 'Advanced Display Settings'}">class="active" </c:if>title="Advanced Display Settings">Advanced Display Settings</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsThemesView,settingsThemesEdit">
							<li><a href="SettingsThemes.do" <c:if test="${requestScope.pageTitle eq 'Themes'}">class="active" </c:if>title="Themes">Themes (xhtml)</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsStylesView,settingsStylesEdit">
							<li><a href="SettingsStyles.do" <c:if test="${requestScope.pageTitle eq 'Styles Settings (legacy)'}">class="active" </c:if>title="Styles (legacy)">Styles (legacy)</a></li>
						</logic:present>
					</ul>
				</li>
				</logic:present>
				<logic:present role="superuser,administrator,settingsView,settingsEdit,administratorView,administratorEdit,roleView,roleEdit,
								,settingsEncryptionView,settingsEncryptionEdit,settingsImageVerificationView,settingsImageVerificationEdit,
								,settingsSessionManagementView,settingsSessionManagementEdit">
				<li class="menuItem">
					<a href="#" id="SecuritySettingsActuator" class="actuator">Security Settings</a>
					<ul id="SecuritySettingsMenu" class="menu">
						<logic:present role="superuser,administrator,settingsEncryptionView,settingsEncryptionEdit">
							<li><a href="SettingsEncryption.do" <c:if test="${requestScope.pageTitle eq 'Encryption Settings'}">class="active" </c:if>title="Encryption Settings">Encryption Settings</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsCaptchaVerificationView,settingsCaptchaVerificationEdit">
							<li><a href="SettingsCaptchaVerification.do" <c:if test="${requestScope.pageTitle eq 'Captcha Verification Settings'}">class="active" </c:if>title="Captcha Verification">Captcha Verification</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsSessionManagementView,settingsSessionManagementEdit">
							<li><a href="SettingsSessionManagement.do" <c:if test="${requestScope.pageTitle eq 'Session Management Settings'}">class="active" </c:if>title="Session Management">Session Management</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsSecurityHeadersView,settingsSecurityHeadersEdit">
							<li><a href="SettingsSecurityHeaders.do" <c:if test="${requestScope.pageTitle eq 'Security Headers Settings'}">class="active" </c:if>title="Security Headers">Security Headers</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsCustomerSecurityView,settingsCustomerSecurityEdit">
							<li><a href="SettingsCustomerSecurity.do" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Customer Security Settings'}"> active</c:if>" title="Customer Security Settings">Customer Security Settings</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsAdministratorView,settingsAdministratorEdit">
							<li><a href="SettingsAdministrator.do" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Administrator Security Settings'}"> active</c:if>" title="Administrator Security Settings">Administrator Security Settings</a></li>
						</logic:present>
						<logic:present role="superuser,administratorView,administratorEdit">
							<li><a href="Administrator.do" class="enterpriseFeature<c:if test="${requestScope.pageSectionName eq 'Administrators'}"> active</c:if>" title="Administrators">Administrators</a></li>
						</logic:present>
						<logic:present role="superuser,roleView,roleEdit">
							<li><a href="Role.do" class="enterpriseFeature<c:if test="${requestScope.pageSectionName eq 'Roles'}"> active</c:if>" title="Roles">Roles</a></li>
						</logic:present>
					</ul>
				</li>
				</logic:present>
				<logic:present role="superuser,administrator,settingsView,settingsEdit,storeMessagesView,storeMessagesEdit">				
				<li class="menuItem">
					<a href="#" id="StoreMessagesActuator" class="actuator">Store Messages</a>
					<ul id="StoreMessagesMenu" class="menu">
						<li><a href="StoreMessages.do?bundle=core" <c:if test="${requestScope.pageTitle eq 'General Messages'}">class="active" </c:if>title="General Messages">General Messages</a></li>
						<li><a href="StoreMessages.do?bundle=product" <c:if test="${requestScope.pageTitle eq 'Product Catalog Messages'}">class="active" </c:if>title="Product Catalog Messages">Product Catalog Messages</a></li>
						<li><a href="StoreMessages.do?bundle=customer" <c:if test="${requestScope.pageTitle eq 'Customer Account Messages'}">class="active" </c:if>title="Customer Account Messages">Customer Account Messages</a></li>
						<li><a href="StoreMessages.do?bundle=order" <c:if test="${requestScope.pageTitle eq 'Checkout/Cart Messages'}">class="active" </c:if>title="Checkout/Cart Messages">Checkout/Cart Messages</a></li>
						<li><a href="StoreMessages.do?bundle=payment" <c:if test="${requestScope.pageTitle eq 'Payment Messages'}">class="active" </c:if>title="Payment Messages">Payment Messages</a></li>
					</ul>
				</li>
				</logic:present>
			</ul>
		</div>
	</div>
	</logic:present>

	
	<logic:present role="superuser,administrator,productView,productEdit,categoryView,categoryEdit,attributeView,attributeEdit,manufacturerView,manufacturerEdit,
					,skuView,skuEdit,settingsView,settingsEdit,discountView,discountEdit,settingsInventoryView,settingsInventoryEdit,settingsDiscountsView,settingsDiscountsEdit
					,advancedSearchView,advancedSearchEdit,settingsAdvancedSearchView,settingsAdvancedSearchEdit">
	<div class="widget">
		<strong class="heading">Product Catalog</strong>
		<div class="widgetBody">
			<ul class="menuList">
			
				<logic:present role="superuser,administrator,productView,productEdit,categoryView,categoryEdit,attributeView,attributeEdit,manufacturerView,manufacturerEdit">
				<li class="menuItem">
					<a href="#" id="ProductCatalogActuator" class="actuator">Product Catalog</a>
					<ul id="ProductCatalogMenu" class="menu">
						<logic:present role="superuser,administrator,productView,productEdit">
							<li><a href="Product.do" <c:if test="${requestScope.pageSectionName eq 'Products'}">class="active" </c:if>title="Products">Products</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,categoryView,categoryEdit">
							<li><a href="Category.do" <c:if test="${requestScope.pageSectionName eq 'Categories'}">class="active" </c:if>title="Categories">Categories</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,categoryView,categoryEdit">
							<li><a href="Category.do?workWithCategories=Content%20Pages" <c:if test="${requestScope.pageSectionName eq 'Content Pages'}">class="active" </c:if>title="Content Pages">Content Pages</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,attributeView,attributeEdit">
							<li><a href="Attribute.do" <c:if test="${requestScope.pageSectionName eq 'Attributes'}">class="active" </c:if>title="Attributes">Attributes</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,manufacturerView,manufacturerEdit">
							<li><a href="Manufacturer.do" <c:if test="${requestScope.pageSectionName eq 'Manufacturers'}">class="active" </c:if>title="Manufacturers">Manufacturers</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,productView,productEdit">
							<li><a href="ProductReview.do" class="enterpriseFeature<c:if test="${requestScope.pageSectionName eq 'Product Reviews'}"> active</c:if>" title="Product Reviews">Product Reviews</a></li>
						</logic:present>
					</ul>
				</li>
				</logic:present>
				<logic:present role="superuser,administrator,skuView,skuEdit,settingsView,settingsEdit,settingsInventoryView,settingsInventoryEdit">
				<li class="menuItem">
					<a href="#" id="InventoryandSKUsActuator" class="actuator">Inventory and SKUs</a>
					<ul id="InventoryandSKUsMenu" class="menu">
						<logic:present role="superuser,administrator,skuView,skuEdit">
							<li><a href="SKU.do" <c:if test="${requestScope.pageSectionName eq 'SKUs'}">class="active" </c:if>title="SKUs">SKUs</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsInventoryView,settingsInventoryEdit">
							<li><a href="SettingsInventory.do" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Inventory Settings'}"> active</c:if>" title="Inventory Settings">Inventory Settings</a></li>
						</logic:present>
					</ul>
				</li>
				</logic:present>
				<logic:present role="superuser,administrator,discountView,discountEdit,settingsView,settingsEdit,settingsDiscountsView,settingsDiscountsEdit">
				<li class="menuItem">
					<a href="#" id="DiscountsActuator" class="actuator">Discounts</a>
					<ul id="DiscountsMenu" class="menu">
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsDiscountsView,settingsDiscountsEdit">
							<li><a href="SettingsDiscounts.do" <c:if test="${requestScope.pageTitle eq 'Discount Settings'}">class="active" </c:if>title="Discount Settings">Discount Settings</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,discountView,discountEdit">
							<li><a href="Discount.do" <c:if test="${requestScope.pageSectionName eq 'Discounts'}">class="active" </c:if>title="Discounts">Discounts</a></li>
						</logic:present>
					</ul>
				</li>
				</logic:present>
				<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsAdvancedSearchView,settingsAdvancedSearchEdit,advancedSearchView,advancedSearchEdit,reindexLuceneJobView,reindexLuceneJobEdit">
				<li class="menuItem">
					<a href="#" id="AdvancedSearchActuator" class="actuator">Advanced Search</a>
					<ul id="AdvancedSearchMenu" class="menu">
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsAdvancedSearchView,settingsAdvancedSearchEdit">
							<li><a href="SettingsAdvancedSearch.do" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Advanced Search Settings'}"> active</c:if>" title="Advanced Search Settings">Advanced Search Settings</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,advancedSearchView,advancedSearchEdit">
							<li><a href="LuceneForm.do" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Advanced Search Reindex'}"> active</c:if>" title="Advanced Search Reindex">Advanced Search Reindex</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,reindexLuceneJobView,reindexLuceneJobEdit">
							<li><a href="SettingsReindexLuceneJob.do" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Advanced Search Reindex Job Settings'}"> active</c:if>" title="Advanced Search Reindex Job Settings">Advanced Search Reindex Job</a></li>
						</logic:present>
					</ul>
				</li>
				</logic:present>
				
			</ul>
		</div>
	</div>
	</logic:present>
				
				
	
	<logic:present role="superuser,administrator,settingsView,settingsEdit,orderView,orderEdit,stateView,stateEdit,countryView,countryEdit,customerView,customerEdit,
					settingsCheckoutFlowView,settingsCheckoutFlowEdit,settingsAddressView,settingsAddressEdit,settingsCustomerAccountView,settingsCustomerAccountEdit,
					templateEdit,templateView,emailEdit,emailView,emailOptOutEdit,emailOptOutView,settingsConstantContactView,settingsConstantContactEdit,
					settingsMailChimpView,settingsMailChimpEdit,
					settingsCustomerFollowUpJobView,settingsCustomerFollowUpJobEdit,settingsAbandonedCartEmailJobView,settingsAbandonedCartEmailJobEdit,
					settingsOrderShippedJobView,settingsOrderShippedJobEdit">
	<div class="widget">
		<strong class="heading">Orders and Customers</strong>
		<div class="widgetBody">
			<ul class="menuList">
				<logic:present role="superuser,administrator,settingsView,settingsEdit,orderView,orderEdit,stateView,stateEdit,countryView,countryEdit,
								,settingsCheckoutFlowView,settingsCheckoutFlowEdit,settingsAddressView,settingsAddressEdit">
				<li class="menuItem">
					<a href="#" id="OrdersActuator" class="actuator">Orders</a>
					<ul id="OrdersMenu" class="menu">
						<logic:present role="superuser,administrator,orderView,orderEdit">
							<li><a href="Order.do" <c:if test="${requestScope.pageSectionName eq 'Orders'}">class="active" </c:if>title="Orders">Orders</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsCheckoutFlowView,settingsCheckoutFlowEdit">
							<li><a href="SettingsCheckoutFlow.do" <c:if test="${requestScope.pageTitle eq 'Checkout Flow Settings'}">class="active" </c:if>title="Checkout Flow Settings">Checkout Flow</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsAddressView,settingsAddressEdit">
							<li><a href="SettingsAddress.do" <c:if test="${requestScope.pageTitle eq 'Address Fields Settings'}">class="active" </c:if>title="Address Fields Settings">Address Fields</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,stateView,stateEdit">
							<li><a href="State.do" <c:if test="${requestScope.pageSectionName eq 'States'}">class="active" </c:if>title="States">States</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,countryView,countryEdit">
							<li><a href="Country.do" <c:if test="${requestScope.pageSectionName eq 'Countries'}">class="active" </c:if>title="Countries">Countries</a></li>
						</logic:present>
					</ul>
				</li>
				</logic:present>
				<logic:present role="superuser,administrator,settingsView,settingsEdit,customerView,customerEdit,settingsCustomerAccountView,settingsCustomerAccountEdit,templateEdit,templateView,emailEdit,emailView,emailOptOutEdit,emailOptOutView">
				<li class="menuItem">
					<a href="#" id="CustomersActuator" class="actuator">Customers</a>
					<ul id="CustomersMenu" class="menu">
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsCustomerAccountView,settingsCustomerAccountEdit">
							<li><a href="SettingsCustomerAccount.do" <c:if test="${requestScope.pageTitle eq 'Customer Account Settings'}">class="active" </c:if>title="Customer Account Settings">Customer Account Settings</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,customerView,customerEdit">
							<li><a href="Customer.do" <c:if test="${requestScope.pageSectionName eq 'Customers'}">class="active" </c:if>title="Customers">Customers</a></li>
						</logic:present>
					</ul>
				</li>
				</logic:present>
				<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsEmailView,settingsEmailEdit,
						settingsCustomerFollowUpJobView,settingsCustomerFollowUpJobEdit,settingsAbandonedCartEmailJobView,settingsAbandonedCartEmailJobEdit,
						settingsOrderShippedJobView,settingsOrderShippedJobEdit,templateEdit,templateView,emailEdit,emailView,emailOptOutEdit,emailOptOutView">
				<li class="menuItem">
					<a href="#" id="EmailsActuator" class="actuator">Emails</a>
					<ul id="EmailsMenu" class="menu">
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsEmailView,settingsEmailEdit">
							<li><a href="SettingsEmail.do" <c:if test="${requestScope.pageTitle eq 'Outgoing Email Settings'}">class="active" </c:if>title="Outgoing Emails">Outgoing Email Settings</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,templateEdit,templateView">
							<li><a href="Template.do" class="enterpriseFeature<c:if test="${requestScope.pageSectionName eq 'Templates'}"> active</c:if>" title="Templates">Templates</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,emailEdit,emailView">
							<li><a href="Email.do" class="enterpriseFeature<c:if test="${requestScope.pageSectionName eq 'Emails'}"> active</c:if>" title="Emails">Emails</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,emailOptOutEdit,emailOptOutView">
							<li><a href="EmailOptOut.do" class="enterpriseFeature<c:if test="${requestScope.pageSectionName eq 'Email Opt Outs'}"> active</c:if>" title="Email Opt Outs">Email Opt Outs</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsCustomerFollowUpJobView,settingsCustomerFollowUpJobEdit">
							<li><a href="SettingsCustomerFollowUpJob.do" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Customer Follow Up Job Settings'}"> active</c:if>" title="Customer Follow Up Job">Customer Follow Up Job</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsAbandonedCartEmailJobView,settingsAbandonedCartEmailJobEdit">
							<li><a href="SettingsAbandonedCartEmailJob.do" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Abandoned Cart Email Job Settings'}"> active</c:if>" title="Abandoned Cart Email Job">Abandoned Cart Email Job</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsOrderShippedJobView,settingsOrderShippedJobEdit">
							<li><a href="SettingsOrderShippedJob.do" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Order Shipped Job Settings'}"> active</c:if>" title="Order Shipped Job Settings">Order Shipped Job</a></li>
						</logic:present>
					</ul>
				</li>
				</logic:present>
				<logic:present role="superuser,administrator,settingsView,settingsEdit,emailerView,emailerEdit,settingsEmailerAccountView,settingsEmailerAccountEdit">
				<li class="menuItem">
					<a href="#" id="EmailerActuator" class="actuator">Email Marketing Services</a>
					<ul id="EmailerMenu" class="menu">
						<logic:present role="superuser,administrator,settingsView,settingsEdit,settingsEmailerView,settingsEmailerEdit">
						<li><a href="SettingsEmailMarketingServices.do" <c:if test="${requestScope.pageTitle eq 'Email Marketing Services Settings'}">class="active" </c:if>title="Email Marketing Services Settings">Email Marketing Services Settings</a></li>
						<li style="background-image: url(images/minus.gif);">
							<a href="#" id="SoftSlateEmailerActuator" class="actuator">SoftSlate Emailer</a>
							<ul style="display: block;" id="SoftSlateEmailerMenu" class="submenu">
								<li><a href="Emailer.do" <c:if test="${requestScope.pageTitle eq 'SoftSlate Emailer'}">class="active" </c:if>title="SoftSlate Emailer">Launch SoftSlate Emailer</a></li>
								<li><a href="SettingsEmailerContactForm.do" <c:if test="${requestScope.pageTitle eq 'SoftSlate Emailer Contact Form Settings'}">class="active" </c:if>title="Contact Form Settings">Contact Form</a></li>
								<li><a href="SettingsEmailerCustomerRegistration.do" <c:if test="${requestScope.pageTitle eq 'SoftSlate Emailer Customer Registration Settings'}">class="active" </c:if>title="Customer Registration Settings">Customer Registration</a></li>
								<li><a href="SettingsEmailerCheckout.do" <c:if test="${requestScope.pageTitle eq 'SoftSlate Emailer Checkout Settings'}">class="active" </c:if>title="Checkout Settings">Checkout Settings</a></li>
							</ul>
						</li>
						<li style="background-image: url(images/minus.gif);">
							<a href="#" id="ConstantContactActuator" class="actuator">Constant Contact</a>
							<ul style="display: block;" id="ConstantContactMenu" class="submenu">
								<li><a href="SettingsConstantContact.do" <c:if test="${requestScope.pageTitle eq 'Constant Contact Settings'}">class="active" </c:if>title="Constant Contact">Constant Contact Settings</a></li>
							</ul>
						</li>
                        <li style="background-image: url(images/minus.gif);">
                            <a href="#" id="MailChimpActuator" class="actuator">MailChimp</a>
                            <ul style="display: block;" id="MailChimpMenu" class="submenu">
                                <li><a href="SettingsMailChimp.do" <c:if test="${requestScope.pageTitle eq 'MailChimp Settings'}">class="active" </c:if>title="MailChimp">MailChimp Settings</a></li>
                            </ul>
                        </li>
						</logic:present>
					</ul>
				</li>
				</logic:present>
			</ul>
		</div>
	</div>
	</logic:present>
				
				
	
	<logic:present role="superuser,administrator,taxEdit,taxView,shippingView,shippingEdit,paymentsView,paymentsEdit">
	<div class="widget">
		<strong class="heading">Tax, Shipping, and Payments</strong>
		<div class="widgetBody">
			<ul class="menuList">
				<logic:present role="superuser,administrator,taxEdit,taxView">
				<li class="menuItem">
					<a href="#" id="TaxConfigurationActuator" class="actuator">Tax Configuration</a>
					<ul id="TaxConfigurationMenu" class="menu">
						<li><a href="TaxSettings.do" <c:if test="${requestScope.pageTitle eq 'Tax Settings'}">class="active" </c:if>title="Tax Settings">Tax Settings</a></li>
						<li><a href="BasicTax.do" <c:if test="${requestScope.pageSectionName eq 'Basic Tax Rates'}">class="active" </c:if>title="Basic Tax Rates">Basic Tax Rates</a></li>
						<li><a href="SettingsAvaTax.do" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'AvaTax Settings'}"> active</c:if>" title="AvaTax Rates">AvaTax Settings</a></li>
					</ul>
				</li>
				</logic:present>
				<logic:present role="superuser,administrator,shippingView,shippingEdit">
				<li class="menuItem">
					<a href="#" id="ShippingConfigurationActuator" class="actuator">Shipping Configuration</a>
					<ul id="ShippingConfigurationMenu" class="menu">
						<li><a href="ShippingSettings.do" <c:if test="${requestScope.pageTitle eq 'Shipping Settings'}">class="active" </c:if>title="Shipping Settings">Shipping Settings</a></li>
						<li><a href="ShippingMethod.do" <c:if test="${requestScope.pageSectionName eq 'Shipping Methods'}">class="active" </c:if>title="Shipping Methods">Shipping Methods</a></li>
						<li><a href="FedExSettings.do" <c:if test="${requestScope.pageTitle eq 'FedEx Settings'}">class="active" </c:if>title="FedEx Settings">FedEx Settings</a></li>
						<li><a href="UPSSettings.do" <c:if test="${requestScope.pageTitle eq 'UPS Settings'}">class="active" </c:if>title="UPS Settings">UPS Settings</a></li>
						<li><a href="USPSSettings.do" <c:if test="${requestScope.pageTitle eq 'USPS Settings'}">class="active" </c:if>title="USPS Settings">USPS Settings</a></li>
						<li><a href="ShippingRule.do" class="enterpriseFeature<c:if test="${requestScope.pageSectionName eq 'Shipping Rules'}"> active</c:if>" title="Shipping Rules">Shipping Rules</a></li>
					</ul>
				</li>
				</logic:present>
				<logic:present role="superuser,administrator,paymentsView,paymentsEdit">
				<li class="menuItem">
					<a href="#" id="PaymentConfigurationActuator" class="actuator">Payment Configuration</a>
					<ul id="PaymentConfigurationMenu" class="menu">
						<li><a href="PaymentSettings.do" <c:if test="${requestScope.pageTitle eq 'Payment Settings'}">class="active" </c:if>title="Payment Settings">Payment Settings</a></li>
						<li><a href="AuthorizeNet.do" <c:if test="${requestScope.pageTitle eq 'Authorize.net Settings'}">class="active" </c:if>title="Authorize.net Settings">Authorize.net</a></li>
						<li><a href="FirstData.do" <c:if test="${requestScope.pageTitle eq 'First Data Global Gateway Settings'}">class="active" </c:if>title="First Data Global Gateway Settings">First Data Global Gateway</a></li>
						<li><a href="PayPal.do" <c:if test="${requestScope.pageTitle eq 'PayPal Direct &amp; Express Settings'}">class="active" </c:if>title="PayPal Direct &amp; Express">PayPal Direct &amp; Express</a></li>
						<li><a href="PayPalUK.do" <c:if test="${requestScope.pageTitle eq 'PayPal UK Direct &amp; Express Settings'}">class="active" </c:if>title="PayPal UK Direct &amp; Express">PayPal UK Direct &amp; Express</a></li>
						<li><a href="PayflowPro.do" <c:if test="${requestScope.pageTitle eq 'Payflow Pro Settings'}">class="active" </c:if>title="Payflow Pro Settings">Payflow Pro Settings</a></li>
						<li><a href="PayflowProTransAuth.do" <c:if test="${requestScope.pageTitle eq 'Payflow Pro Advanced Settings'}">class="active" </c:if>title="Payflow Pro Advanced Settings">Payflow Pro Advanced Settings</a></li>
						<li><a href="Paypoint.do" <c:if test="${requestScope.pageTitle eq 'Paypoint Settings'}">class="active" </c:if>title="Paypoint Settings">Paypoint</a></li>
		                <li><a href="AuthorizeNetDPM.do" <c:if test="${requestScope.pageTitle eq 'Authorize.net DPM Settings'}">class="active" </c:if>title="Authorize.net DPM">Authorize.net DPM (Legacy)</a></li>
					</ul>
				</li>
				</logic:present>
			</ul>
		</div>
	</div>
	</logic:present>


	<logic:present role="superuser,administrator,importexportEdit,importexportView,reportView,upgradesEdit,upgradesView,maintenanceEdit,maintenanceView,settingsQBOView,settingsQBOEdit,settingsQBOAdvancedView,settingsQBOAdvancedEdit">
	<div class="widget">
		<strong class="heading">Utilities</strong>
		<div class="widgetBody">
			<ul class="menuList">
				<logic:present role="superuser,administrator,reportView,requestLogEdit,requestLogView">
				<li class="menuItem">
					<a href="#" id="ReportsActuator" class="actuator">Reports</a>
					<ul id="ReportsMenu" class="menu">
						<logic:present role="superuser,administrator,reportView">
						<li><a href="MonthlySalesForm.do" <c:if test="${requestScope.pageSectionName eq 'Monthly Sales Report Form'}">class="active" </c:if>title="Monthly Sales">Monthly Sales</a></li>
						<li><a href="SalesByProductForm.do" <c:if test="${requestScope.pageSectionName eq 'Sales by Product Report Form'}">class="active" </c:if>title="Sales By Product">Sales By Product</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,requestLogEdit,requestLogView">
							<li><a href="RequestLog.do" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Request Log'}"> active</c:if>" title="Request Log">Request Log</a></li>
						</logic:present>
					</ul>
				</li>
				</logic:present>
				<logic:present role="superuser,administrator,importexportEdit,importexportView,settingsQBOView,settingsQBOEdit,settingsQBOAdvancedView,settingsQBOAdvancedEdit">
				<li class="menuItem">
					<a href="#" id="ImportsandExportsActuator" class="actuator">Imports and Exports</a>
					<ul id="ImportsandExportsMenu" class="menu">
						<logic:present role="superuser,administrator,importexportEdit,importexportView">
							<li style="background-image: url(images/plus.gif);">
								<a href="#" id="TextFileImportsActuator" class="actuator">Text File Imports</a>
								<ul id="TextFileImportsMenu" class="submenu">
									<li><a href="ImportUploadForm.do?table=sscproduct" <c:if test="${requestScope.pageTitle eq 'Product Import'}">class="active" </c:if>title="Product Import">Product Import</a></li>
									<li><a href="ImportUploadForm.do?table=ssccategory" <c:if test="${requestScope.pageTitle eq 'Category Import'}">class="active" </c:if>title="Category Import">Category Import</a></li>
									<li><a href="ImportUploadForm.do?table=sscattribute" <c:if test="${requestScope.pageTitle eq 'Attribute Import'}">class="active" </c:if>title="Attribute Import">Attribute Import</a></li>
									<li><a href="ImportUploadForm.do?table=sscoption" <c:if test="${requestScope.pageTitle eq 'Option Import'}">class="active" </c:if>title="Option Import">Option Import</a></li>
									<li><a href="ImportUploadForm.do?table=sscsku" <c:if test="${requestScope.pageTitle eq 'SKU Import'}">class="active" </c:if>title="SKU Import">SKU Import</a></li>
									<li><a href="ImportUploadForm.do?table=sscproductsetting" <c:if test="${requestScope.pageTitle eq 'Product Setting Import'}">class="active" </c:if>title="Product Setting Import">Product Setting Import</a></li>
									<li><a href="ImportUploadForm.do?table=sscbasictaxrate" <c:if test="${requestScope.pageTitle eq 'Basic Tax Rate Import'}">class="active" </c:if>title="Basic Tax Rate Import">Basic Tax Rate Import</a></li>
								</ul>
							</li>
							<li style="background-image: url(images/plus.gif);" class="enterpriseFeature">
								<a href="#" id="TextFileExportsActuator" class="actuator">Text File Exports</a>
								<ul id="TextFileExportsMenu" class="submenu">
									<li><a href="ExportForm.do?tableName=sscproduct" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Product Export'}"> active</c:if>" title="Product Export">Product Export</a></li>
									<li><a href="ExportForm.do?tableName=ssccategory" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Category Export'}"> active</c:if>" title="Category Export">Category Export</a></li>
									<li><a href="ExportForm.do?tableName=sscattribute" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Attribute Export'}"> active</c:if>" title="Attribute Export">Attribute Export</a></li>
									<li><a href="ExportForm.do?tableName=sscoption" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Option Export'}"> active</c:if>" title="Option Export">Option Export</a></li>
									<li><a href="ExportForm.do?tableName=sscsku" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'SKU Export'}"> active</c:if>" title="SKU Export">SKU Export</a></li>
									<li><a href="ExportForm.do?tableName=sscproductsetting" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Product Setting Export'}"> active</c:if>" title="Product Setting Export">Product Setting Export</a></li>
									<li><a href="ExportForm.do?tableName=sscorder" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Order Export'}"> active</c:if>" title="Order Export">Order Export</a></li>
									<li><a href="ExportForm.do?tableName=ssccustomer" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Customer Export'}"> active</c:if>" title="Customer Export">Customer Export</a></li>
									<li><a href="ExportForm.do?tableName=sscbasictaxrate" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Basic Tax Rate Export'}"> active</c:if>" title="Basic Tax Rate Export">Basic Tax Rate Export</a></li>
								</ul>
							</li>
							<li><a href="FroogleForm.do" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Froogle Export'}"> active</c:if>" title="Froogle Export">Froogle Export</a></li>
							<li><a href="GoogleSitemapsForm.do" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Google Sitemaps Export'}"> active</c:if>" title="Google Sitemaps Export">Google Sitemaps Export</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsQBOView,settingsQBOEdit,settingsQBOAdvancedView,settingsQBOAdvancedEdit">
							<li style="background-image: url(images/plus.gif);" class="enterpriseFeature">
								<a href="#" id="QuickBooksOnlineActuator" class="actuator">QuickBooks Online</a>
								<ul id="QuickBooksOnlineMenu" class="submenu">
									<li><a href="QboConnectForm.do" class="<c:if test="${requestScope.pageTitle eq 'Connect to QuickBooks Online'}"> active</c:if>" title="Connect to QuickBooks Online">Connect</a></li>
									<li><a href="SettingsQBO.do" class="<c:if test="${requestScope.pageTitle eq 'QuickBooks Online Settings'}"> active</c:if>" title="QuickBooks Online Settings">Settings</a></li>
									<li><a href="SettingsQBOAdvanced.do" class="<c:if test="${requestScope.pageTitle eq 'QuickBooks Online Advanced Settings'}"> active</c:if>" title="QuickBooks Online Advanced Settings">Advanced Settings</a></li>
								</ul>
							</li>
						</logic:present>
					</ul>
				</li>
				</logic:present>
				<logic:present role="superuser,administrator,upgradesEdit,upgradesView,maintenanceEdit,maintenanceView">
				<li class="menuItem">
					<a href="#" id="MaintenanceandUpgradesActuator" class="actuator">Maintenance and Upgrades</a>
					<ul id="MaintenanceandUpgradesMenu" class="menu">
						<logic:present role="superuser,administrator,maintenanceEdit,maintenanceView">
							<li><a href="SettingsLicenseKey.do" <c:if test="${requestScope.pageTitle eq 'License Key'}">class="active" </c:if>title="License Key">License Key</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,upgradesEdit,upgradesView">
							<li><a href="Upgrades.do" <c:if test="${requestScope.pageTitle eq 'Upgrades'}">class="active" </c:if>title="Upgrades">Upgrades</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,maintenanceEdit,maintenanceView">
							<li><a href="IncompleteOrders.do" <c:if test="${requestScope.pageTitle eq 'Incomplete Orders'}">class="active" </c:if>title="Incomplete Orders">Incomplete Orders</a></li>
							<li><a href="CardInfoCleanUpForm.do" <c:if test="${requestScope.pageTitle eq 'Card Info Clean Up'}">class="active" </c:if>title="Card Info Clean Up">Card Info Clean Up</a></li>
							<li><a href="CreateKeysForm.do" <c:if test="${requestScope.pageTitle eq 'Create Encryption Key'}">class="active" </c:if>title="Create Encryption Key">Create Encryption Key</a></li>
							<li><a href="PruneRequestLogForm.do" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Prune Request Log'}"> active</c:if>" title="Prune Request Log">Prune Request Log</a></li>
						</logic:present>
					</ul>
				</li>
				</logic:present>
				
				<logic:present role="superuser,administrator,settingsView,settingsEdit,administratorView,administratorEdit,settingsMonitorJobView,settingsMonitorJobEdit,reindexLuceneJobView,reindexLuceneJobEdit,settingsCustomerFollowUpJobView,settingsCustomerFollowUpJobEdit,settingsAbandonedCartEmailJobView,settingsAbandonedCartEmailJobEdit,settingsOrderShippedJobView,settingsOrderShippedJobEdit">
				<li class="menuItem">
					<a href="#" id="JobSettingsActuator" class="actuator">Scheduled Jobs</a>
					<ul id="JobSettingsMenu" class="menu">
						<logic:present role="superuser,administrator,settingsMonitorJobView,settingsMonitorJobEdit">
							<li><a href="SettingsMonitorJob.do" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Monitor Job Settings'}"> active</c:if>" title="Monitor Job Settings">Monitor</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,reindexLuceneJobView,reindexLuceneJobEdit">
							<li><a href="SettingsReindexLuceneJob.do" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Reindex Lucene Job Settings'}"> active</c:if>" title="Reindex Lucene Job Settings">Reindex Lucene</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsCustomerFollowUpJobView,settingsCustomerFollowUpJobEdit">
							<li><a href="SettingsCustomerFollowUpJob.do" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Customer Follow Up Job Settings'}"> active</c:if>" title="Customer Follow Up Job">Customer Follow Up Job</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsAbandonedCartEmailJobView,settingsAbandonedCartEmailJobEdit">
							<li><a href="SettingsAbandonedCartEmailJob.do" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Abandoned Cart Email Job Settings'}"> active</c:if>" title="Abandoned Cart Email Job">Abandoned Cart Email Job</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsOrderShippedJobView,settingsOrderShippedJobEdit">
							<li><a href="SettingsOrderShippedJob.do" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Order Shipped Job Settings'}"> active</c:if>"title="Order Shipped Job Settings">Order Shipped Job</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsIncompleteOrdersJobView,settingsIncompleteOrdersJobEdit">
							<li><a href="SettingsIncompleteOrdersJob.do" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Incomplete Orders Job Settings'}"> active</c:if>"title="Incomplete Orders Job Settings">Incomplete Orders Job</a></li>
						</logic:present>
						<logic:present role="superuser,administrator,settingsCardInfoCleanUpJobView,settingsCardInfoCleanUpJobEdit">
							<li><a href="SettingsCardInfoCleanUpJob.do" class="enterpriseFeature<c:if test="${requestScope.pageTitle eq 'Card Info Clean Up Job Settings'}"> active</c:if>"title="Card Info Clean Up Job Settings">Card Info Clean Up Job</a></li>
						</logic:present>
					</ul>
				</li>
				</logic:present>
			</ul>
		</div>
	</div>
	</logic:present>
</div>
<!-- End side.jsp -->
