<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start monthlySalesScreen.jsp -->
<% pageContext.setAttribute("now", new java.util.Date()); %>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" value="${altRowClass}"/>

<h3>From <c:out value="${monthlySalesForm.startDate}"/> to <c:out value="${monthlySalesForm.endDate}"/></h3>

<h5>Report Run <fmt:formatDate value="${now}" type="both" /></h5>

<br/><br/>

<c:choose>
	<c:when test="${ !empty monthlySales }">
		<table summary="Monthly Sales" class="report">
			<tr>
				<th>Month</th>
				<th>First In Range</th>
				<th>Last in Range</th>
				<th>No. Products</th>
				<th>No. Orders</th>
				<th>Subtotal</th>
				<th>Shipping</th>
				<th>Tax</th>
				<th>Total</th>
			</tr>
			<logic:iterate id="record" name="monthlySales">
				<c:choose>
					<c:when test="${thisClass eq altRowClass}"><c:set var="thisClass" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<tr class="<c:out value="${thisClass}"/>">
					<td class="name"><c:out value="${record[0]}"/></td>
					<td class="code"><c:out value="${record[1]}"/></td>
					<td class="date"><c:out value="${record[2]}"/></td>
					<td class="quantity number"><c:out value="${record[3]}"/></td>
					<td class="quantity number"><c:out value="${record[4]}"/></td>
					<td class="currency number"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${record[5]}"/></td>
					<td class="currency number"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${record[6]}"/></td>
					<td class="currency number"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${record[7]}"/></td>
					<td class="currency number"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${record[8]}"/></td>
				</tr>
			</logic:iterate>
		</table>
	</c:when>
	<c:when test="${ !empty param.monthlySalesReport }">
		No sales activity.
	</c:when>
</c:choose>

<div class="dontPrint">
	<br/><br/>
	<input class="button" type="button" onclick="window.print();return false" value="Print Report"/>
</div>

<!-- End monthlySalesScreen.jsp -->
