<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start orderControls.jsp -->
<c:if test="${mainForm.editMode ne 'true'}">
	<tr>
		<td class="controls" colspan="<c:out value="${numberOfColumns}"/>">
		
			<table class="controlTable">
				<c:if test="${requestScope.editPermission  eq 'true'}">
					<tr>
						<td>With selected:</td> 
						<td>
							<select name="withSelectedStatus" class="controls">
								<option value="">Change status to ...</option>
								<option value="">--</option>
								<c:forTokens var="stat" varStatus="current" items="${settings.map.possibleOrderStatuses}" delims=","> 
									<% pageContext.setAttribute("stat", ((String) pageContext.getAttribute("stat")).trim()); %>
									<option value="<c:out value="${stat}"/>"><c:out value="${stat}"/></option>
								</c:forTokens>
							</select>
						</td>
						<td>
							<input class="button" name="withSelectedAction" value="Change" type="submit"/>
						</td>
					</tr>
				</c:if>

				<tr>
					<c:choose>
						<c:when test="${requestScope.editPermission  eq 'true'}">
							<td>&nbsp;</td>
						</c:when>
						<c:otherwise>
							<td>With selected:</td>
						</c:otherwise>
					</c:choose>
					<td>
						<select name="withSelectedPrint" class="controls">
							<option value="">Prepare to print ...</option>
							<option value="">--</option>
							<c:set var="pipeDelimitedTemps" value=""/>
							<c:forTokens var="temp" varStatus="current" items="${settings.map.possiblePrintTemplates}" delims=","> 
								<% pageContext.setAttribute("temp", ((String) pageContext.getAttribute("temp")).trim()); %>
								<c:if test="${!current.first}">
									<c:set var="pipeDelimitedTemps" value="${pipeDelimitedTemps}|"/>
								</c:if>
								<c:set var="pipeDelimitedTemps" value="${pipeDelimitedTemps}${temp}"/>
								<option value="<c:out value="${temp}"/>">
									<c:choose>
										<c:when test="${temp eq 'invoice'}">Invoices</c:when>
										<c:when test="${temp eq 'packList'}">Pack Lists (no payment info)</c:when>
										<c:otherwise><c:out value="${temp}"/></c:otherwise>
									</c:choose>
								</option>
							</c:forTokens>
							<option value="<c:out value="${pipeDelimitedTemps}"/>">All</option>
						</select>
					</td>
					<td>
						<input class="button" name="withSelectedAction" value="Print" type="submit" onclick="document.forms.editDeleteForm.target='_blank'"/>
					</td>
				</tr>

				<c:if test="${requestScope.editPermission  eq 'true'}">
					<tr>
						<td>&nbsp;</td>
						<td>
							<select name="withSelectedEmail" class="controls">
								<option value="">Send email ...</option>
								<option value="">--</option>
								<c:set var="pipeDelimitedTemps" value=""/>
								<c:forTokens var="temp" varStatus="current" items="${settings.map.possibleEmailTemplates}" delims=","> 
									<% pageContext.setAttribute("temp", ((String) pageContext.getAttribute("temp")).trim()); %>
									<option value="jsp-<c:out value="${temp}"/>">
										<c:choose>
											<c:when test="${temp eq 'shipped'}">Your Order Has Shipped (JSP)</c:when>
											<c:when test="${temp eq 'followup'}">Following Up On Your Order (JSP)</c:when>
											<c:otherwise><c:out value="${temp}"/> (JSP)</c:otherwise>
										</c:choose>
									</option>
								</c:forTokens>
								<c:if test="${!empty requestScope.templates}">
									<c:forEach var="template" items="${requestScope.templates}">
										<option class="enterpriseFeature" value="<c:out value="${template.code}"/>"><c:out value="${template.subject}"/></option>
									</c:forEach>
								</c:if>
							</select>
						</td>
						<td>
							<input class="button" name="withSelectedAction" value="Send Emails" type="submit"/>
						</td>
					</tr>
				</c:if>

			</table>
			
		</td>
	</tr>
</c:if>
<!-- End orderControls.jsp -->
