<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start stateEditForm.jsp -->
<html:form action="/StateEdit" method="post">
	<html:hidden name="stateAddEditForm" property="stateID" />
	<table class="addEditTable settingsTable">
		<ssc:insert attribute="formGuts" />
	</table>
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButton">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
</html:form>
<logic:equal name="editPermission" value="true">
	<form name="stateDeleteForm" class="adminDeleteButton" action="<c:out value="${settings.map.administratorURL}"/>/StateDelete.do" method="post">
		<input type="hidden" name="stateID" value="<bean:write name="stateAddEditForm" property="stateID" />" />
		<input type="hidden" name="code" value="<bean:write name="stateAddEditForm" property="code" />" />
		<input type="submit" onclick="return confirm('<bean:message key="administrator.confirmDelete" bundle="/administrator/administrator"/>')" class="button" name="deleteProductSubmit"
			value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
	</form>
</logic:equal>

<!-- End stateEditForm.jsp -->
