<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<div class="instructions">
	Use these settings to define advanced authentication and transaction type options for Payflow Pro.
</div>

<br/><br/>

<html:form action="/PayflowProTransAuthProcess" method="post">
	<table width="100%" style="border-width: 1px; border-style: solid; border-color: #333; border-collapse: collapse">
		<tr>
			<th style="border-width: 1px; border-style: solid; border-color: #333;">Default</th>
			<th style="border-width: 1px; border-style: solid; border-color: #333;">Level One</th>
			<th style="border-width: 1px; border-style: solid; border-color: #333;">Level Two</th>
			<th style="border-width: 1px; border-style: solid; border-color: #333;">Level Three</th>
		</tr>
		<tr>
			<td valign="top" style="border-width: 1px; border-style: solid; border-color: #333;">
				<table>
					<tr>
						<td colspan="2"><bean:message key="payflowPro.transactionType" bundle="/payment"/>:</td>
					</tr>
					<tr>
						<td width="20"><img src="<%=request.getContextPath()%>/images/transparent.gif" alt="" border="0" width="20"/></td>
						<td>
							<input type="radio" name="payflowProType" value="A" <logic:match name="settings" property="value(payflowProType)" value="A">checked="checked"</logic:match>>Authorization<br/>
							<input type="radio" name="payflowProType" value="S" <logic:match name="settings" property="value(payflowProType)" value="S">checked="checked"</logic:match>>Sale<br/>
							<input type="radio" name="payflowProType" value="AA" <logic:match name="settings" property="value(payflowProType)" value="AA">checked="checked"</logic:match>>Authorize/Authenticate<br/>
							<input type="radio" name="payflowProType" value="AAS" <logic:match name="settings" property="value(payflowProType)" value="AAS">checked="checked"</logic:match>>Authorize/Authenticate/Sale
						</td>
					</tr>
					<tr>
						<td>&nbsp;</td>
					</tr>
					<tr>
						<td colspan="2"><bean:message key="payflowPro.authenticateOn" bundle="/payment"/>:</td>
					</tr>
					<tr>
						<td width="20"><img src="<%=request.getContextPath()%>/images/transparent.gif" alt="" border="0" width="20"/></td>
						<td>
							<table width="100%" cellpadding="0" cellspacing="0" border="0">
								<tr>
									<td align="center">&nbsp;</td>
									<td align="center">Street</td>
									<td align="center">ZIP</td>
									<td align="center">CSC</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YYY" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="YYY">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">Y</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YYX" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="YYX">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">Y</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YYN" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="YYN">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">Y</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YXY" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="YXY">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">X</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YXX" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="YXX">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">X</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YXN" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="YXN">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">X</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YNY" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="YNY">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">N</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YNX" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="YNX">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">N</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YNN" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="YNN">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">N</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XYY" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="XYY">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">Y</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XYX" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="XYX">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">Y</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XYN" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="XYN">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">Y</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XXY" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="XXY">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">X</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XXX" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="XXX">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">X</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XXN" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="XXN">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">X</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XNY" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="XNY">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">N</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XNX" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="XNX">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">N</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XNN" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="XNN">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">N</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NYY" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="NYY">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">Y</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NYX" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="NYX">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">Y</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NYN" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="NYN">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">Y</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NXY" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="NXY">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">X</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NXX" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="NXX">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">X</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NXN" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="NXN">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">X</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NNY" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="NNY">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">N</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NNX" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="NNX">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">N</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NNN" name="payflowProAuthArray" <logic:match name="settings" property="value(payflowProAuth)" value="NNN">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">N</td><td align="center">N</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</td>
			<td valign="top" style="border-width: 1px; border-style: solid; border-color: #333;">
				<table>
					<tr>
						<td colspan="2"><bean:message key="payflowPro.customerStatus" bundle="/payment"/>:</td>
					</tr>
					<tr>
						<td width="20"><img src="<%=request.getContextPath()%>/images/transparent.gif" alt="" border="0" width="20"/></td>
						<td>
							<input type="text" name="payflowProCust1" value="<bean:write name="settings" property="value(payflowProCust1)"/>"/>
						</td>
					</tr>
					<tr>
						<td>&nbsp;</td>
					</tr>
					<tr>
						<td colspan="2"><bean:message key="payflowPro.orderTotal" bundle="/payment"/>:</td>
					</tr>
					<tr>
						<td width="20"><img src="<%=request.getContextPath()%>/images/transparent.gif" alt="" border="0" width="20"/></td>
						<td>
							Floor <input size="6" type="text" name="payflowProFloor1" value="<bean:write name="settings" property="value(payflowProFloor1)"/>"/>
							Ceiling <input size="6" type="text" name="payflowProCeiling1" value="<bean:write name="settings" property="value(payflowProCeiling1)"/>"/>
						</td>
					</tr>
					<tr>
						<td>&nbsp;</td>
					</tr>
					<tr>
						<td colspan="2"><bean:message key="payflowPro.countries" bundle="/payment"/>:</td>
					</tr>
					<tr>
						<td width="20"><img src="<%=request.getContextPath()%>/images/transparent.gif" alt="" border="0" width="20"/></td>
						<td>
							<select name="payflowProCountries1Array" style="width: 180px" multiple="" size="5">
							<logic:iterate name="countries" id="country">
								<bean:define id="countryCode" name="country" property="code" type="java.lang.String"/>
								<logic:match name="settings" property="value(payflowProCountries1)" value="<%= countryCode %>">
									<option value="<%= countryCode %>" selected="selected"><bean:write name="country" property="name"/></option>
								</logic:match>
								<logic:notMatch name="settings" property="value(payflowProCountries1)" value="<%= countryCode %>">
									<option value="<%= countryCode %>"><bean:write name="country" property="name"/></option>
								</logic:notMatch>
							</logic:iterate>
						</td>
					</tr>
					<tr>
						<td>&nbsp;</td>
					</tr>
					<tr>
						<td colspan="2"><bean:message key="payflowPro.transactionType" bundle="/payment"/>:</td>
					</tr>
					<tr>
						<td width="20"><img src="<%=request.getContextPath()%>/images/transparent.gif" alt="" border="0" width="20"/></td>
						<td>
							<input type="radio" name="payflowProType1" value="A" <logic:match name="settings" property="value(payflowProType1)" value="A">checked="checked"</logic:match>>Authorization<br/>
							<input type="radio" name="payflowProType1" value="S" <logic:match name="settings" property="value(payflowProType1)" value="S">checked="checked"</logic:match>>Sale<br/>
							<input type="radio" name="payflowProType1" value="AA" <logic:match name="settings" property="value(payflowProType1)" value="AA">checked="checked"</logic:match>>Authorize/Authenticate<br/>
							<input type="radio" name="payflowProType1" value="AAS" <logic:match name="settings" property="value(payflowProType1)" value="AAS">checked="checked"</logic:match>>Authorize/Authenticate/Sale
						</td>
					</tr>
					<tr>
						<td>&nbsp;</td>
					</tr>
					<tr>
						<td colspan="2"><bean:message key="payflowPro.authenticateOn" bundle="/payment"/>:</td>
					</tr>
					<tr>
						<td width="20"><img src="<%=request.getContextPath()%>/images/transparent.gif" alt="" border="0" width="20"/></td>
						<td>
							<table width="100%" cellpadding="0" cellspacing="0" border="0">
								<tr>
									<td align="center">&nbsp;</td>
									<td align="center">Street</td>
									<td align="center">ZIP</td>
									<td align="center">CSC</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YYY" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="YYY">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">Y</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YYX" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="YYX">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">Y</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YYN" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="YYN">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">Y</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YXY" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="YXY">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">X</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YXX" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="YXX">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">X</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YXN" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="YXN">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">X</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YNY" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="YNY">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">N</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YNX" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="YNX">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">N</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YNN" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="YNN">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">N</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XYY" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="XYY">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">Y</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XYX" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="XYX">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">Y</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XYN" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="XYN">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">Y</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XXY" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="XXY">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">X</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XXX" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="XXX">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">X</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XXN" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="XXN">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">X</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XNY" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="XNY">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">N</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XNX" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="XNX">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">N</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XNN" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="XNN">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">N</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NYY" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="NYY">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">Y</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NYX" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="NYX">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">Y</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NYN" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="NYN">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">Y</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NXY" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="NXY">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">X</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NXX" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="NXX">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">X</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NXN" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="NXN">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">X</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NNY" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="NNY">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">N</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NNX" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="NNX">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">N</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NNN" name="payflowProAuth1Array" <logic:match name="settings" property="value(payflowProAuth1)" value="NNN">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">N</td><td align="center">N</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</td>
			<td valign="top" style="border-width: 1px; border-style: solid; border-color: #333;">
				<table>
					<tr>
						<td colspan="2"><bean:message key="payflowPro.customerStatus" bundle="/payment"/>:</td>
					</tr>
					<tr>
						<td width="20"><img src="<%=request.getContextPath()%>/images/transparent.gif" alt="" border="0" width="20"/></td>
						<td>
							<input type="text" name="payflowProCust2" value="<bean:write name="settings" property="value(payflowProCust2)"/>"/>
						</td>
					</tr>
					<tr>
						<td>&nbsp;</td>
					</tr>
					<tr>
						<td colspan="2"><bean:message key="payflowPro.orderTotal" bundle="/payment"/>:</td>
					</tr>
					<tr>
						<td width="20"><img src="<%=request.getContextPath()%>/images/transparent.gif" alt="" border="0" width="20"/></td>
						<td>
							From <input size="6" type="text" name="payflowProFloor2" value="<bean:write name="settings" property="value(payflowProFloor2)"/>"/>
							To <input size="6" type="text" name="payflowProCeiling2" value="<bean:write name="settings" property="value(payflowProCeiling2)"/>"/>
						</td>
					</tr>
					<tr>
						<td>&nbsp;</td>
					</tr>
					<tr>
						<td colspan="2"><bean:message key="payflowPro.countries" bundle="/payment"/>:</td>
					</tr>
					<tr>
						<td width="20"><img src="<%=request.getContextPath()%>/images/transparent.gif" alt="" border="0" width="20"/></td>
						<td>
							<select name="payflowProCountries2Array" style="width: 180px" multiple="" size="5">
							<logic:iterate name="countries" id="country">
								<bean:define id="countryCode" name="country" property="code" type="java.lang.String"/>
								<logic:match name="settings" property="value(payflowProCountries2)" value="<%= countryCode %>">
									<option value="<%= countryCode %>" selected="selected"><bean:write name="country" property="name"/></option>
								</logic:match>
								<logic:notMatch name="settings" property="value(payflowProCountries2)" value="<%= countryCode %>">
									<option value="<%= countryCode %>"><bean:write name="country" property="name"/></option>
								</logic:notMatch>
							</logic:iterate>
						</td>
					</tr>
					<tr>
						<td>&nbsp;</td>
					</tr>
					<tr>
						<td colspan="2"><bean:message key="payflowPro.transactionType" bundle="/payment"/>:</td>
					</tr>
					<tr>
						<td width="20"><img src="<%=request.getContextPath()%>/images/transparent.gif" alt="" border="0" width="20"/></td>
						<td>
							<input type="radio" name="payflowProType2" value="A" <logic:match name="settings" property="value(payflowProType2)" value="A">checked="checked"</logic:match>>Authorization<br/>
							<input type="radio" name="payflowProType2" value="S" <logic:match name="settings" property="value(payflowProType2)" value="S">checked="checked"</logic:match>>Sale<br/>
							<input type="radio" name="payflowProType2" value="AA" <logic:match name="settings" property="value(payflowProType2)" value="AA">checked="checked"</logic:match>>Authorize/Authenticate<br/>
							<input type="radio" name="payflowProType2" value="AAS" <logic:match name="settings" property="value(payflowProType2)" value="AAS">checked="checked"</logic:match>>Authorize/Authenticate/Sale
						</td>
					</tr>
					<tr>
						<td>&nbsp;</td>
					</tr>
					<tr>
						<td colspan="2"><bean:message key="payflowPro.authenticateOn" bundle="/payment"/>:</td>
					</tr>
					<tr>
						<td width="20"><img src="<%=request.getContextPath()%>/images/transparent.gif" alt="" border="0" width="20"/></td>
						<td>
							<table width="100%" cellpadding="0" cellspacing="0" border="0">
								<tr>
									<td align="center">&nbsp;</td>
									<td align="center">Street</td>
									<td align="center">ZIP</td>
									<td align="center">CSC</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YYY" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="YYY">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">Y</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YYX" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="YYX">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">Y</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YYN" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="YYN">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">Y</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YXY" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="YXY">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">X</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YXX" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="YXX">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">X</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YXN" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="YXN">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">X</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YNY" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="YNY">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">N</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YNX" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="YNX">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">N</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YNN" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="YNN">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">N</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XYY" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="XYY">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">Y</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XYX" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="XYX">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">Y</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XYN" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="XYN">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">Y</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XXY" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="XXY">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">X</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XXX" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="XXX">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">X</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XXN" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="XXN">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">X</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XNY" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="XNY">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">N</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XNX" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="XNX">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">N</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XNN" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="XNN">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">N</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NYY" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="NYY">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">Y</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NYX" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="NYX">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">Y</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NYN" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="NYN">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">Y</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NXY" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="NXY">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">X</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NXX" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="NXX">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">X</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NXN" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="NXN">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">X</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NNY" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="NNY">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">N</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NNX" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="NNX">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">N</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NNN" name="payflowProAuth2Array" <logic:match name="settings" property="value(payflowProAuth2)" value="NNN">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">N</td><td align="center">N</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</td>
			<td valign="top" style="border-width: 1px; border-style: solid; border-color: #5E8B67;">
				<table>
					<tr>
						<td colspan="2"><bean:message key="payflowPro.customerStatus" bundle="/payment"/></td>
					</tr>
					<tr>
						<td width="20"><img src="<%=request.getContextPath()%>/images/transparent.gif" alt="" border="0" width="20"/></td>
						<td>
							<input type="text" name="payflowProCust3" value="<bean:write name="settings" property="value(payflowProCust3)"/>"/>
						</td>
					</tr>
					<tr>
						<td>&nbsp;</td>
					</tr>
					<tr>
						<td colspan="2"><bean:message key="payflowPro.orderTotal" bundle="/payment"/></td>
					</tr>
					<tr>
						<td width="20"><img src="<%=request.getContextPath()%>/images/transparent.gif" alt="" border="0" width="20"/></td>
						<td>
							From <input size="6" type="text" name="payflowProFloor3" value="<bean:write name="settings" property="value(payflowProFloor3)"/>"/>
							To <input size="6" type="text" name="payflowProCeiling3" value="<bean:write name="settings" property="value(payflowProCeiling3)"/>"/>
						</td>
					</tr>
					<tr>
						<td>&nbsp;</td>
					</tr>
					<tr>
						<td colspan="2"><bean:message key="payflowPro.countries" bundle="/payment"/></td>
					</tr>
					<tr>
						<td width="20"><img src="<%=request.getContextPath()%>/images/transparent.gif" alt="" border="0" width="20"/></td>
						<td>
							<select name="payflowProCountries3Array" style="width: 180px" multiple="" size="5">
							<logic:iterate name="countries" id="country">
								<bean:define id="countryCode" name="country" property="code" type="java.lang.String"/>
								<logic:match name="settings" property="value(payflowProCountries3)" value="<%= countryCode %>">
									<option value="<%= countryCode %>" selected="selected"><bean:write name="country" property="name"/></option>
								</logic:match>
								<logic:notMatch name="settings" property="value(payflowProCountries3)" value="<%= countryCode %>">
									<option value="<%= countryCode %>"><bean:write name="country" property="name"/></option>
								</logic:notMatch>
							</logic:iterate>
						</td>
					</tr>
					<tr>
						<td>&nbsp;</td>
					</tr>
					<tr>
						<td colspan="2"><bean:message key="payflowPro.transactionType" bundle="/payment"/>:</td>
					</tr>
					<tr>
						<td width="20"><img src="<%=request.getContextPath()%>/images/transparent.gif" alt="" border="0" width="20"/></td>
						<td>
							<input type="radio" name="payflowProType3" value="A" <logic:match name="settings" property="value(payflowProType3)" value="A">checked="checked"</logic:match>>Authorization<br/>
							<input type="radio" name="payflowProType3" value="S" <logic:match name="settings" property="value(payflowProType3)" value="S">checked="checked"</logic:match>>Sale<br/>
							<input type="radio" name="payflowProType3" value="AA" <logic:match name="settings" property="value(payflowProType3)" value="AA">checked="checked"</logic:match>>Authorize/Authenticate<br/>
							<input type="radio" name="payflowProType3" value="AAS" <logic:match name="settings" property="value(payflowProType3)" value="AAS">checked="checked"</logic:match>>Authorize/Authenticate/Sale
						</td>
					</tr>
					<tr>
						<td>&nbsp;</td>
					</tr>
					<tr>
						<td colspan="2"><bean:message key="payflowPro.authenticateOn" bundle="/payment"/>:</td>
					</tr>
					<tr>
						<td width="20"><img src="<%=request.getContextPath()%>/images/transparent.gif" alt="" border="0" width="20"/></td>
						<td>
							<table width="100%" cellpadding="0" cellspacing="0" border="0">
								<tr>
									<td align="center">&nbsp;</td>
									<td align="center">Street</td>
									<td align="center">ZIP</td>
									<td align="center">CSC</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YYY" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="YYY">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">Y</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YYX" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="YYX">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">Y</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YYN" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="YYN">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">Y</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YXY" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="YXY">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">X</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YXX" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="YXX">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">X</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YXN" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="YXN">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">X</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YNY" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="YNY">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">N</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YNX" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="YNX">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">N</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="YNN" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="YNN">checked="checked"</logic:match>></td>
									<td align="center">Y</td><td align="center">N</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XYY" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="XYY">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">Y</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XYX" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="XYX">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">Y</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XYN" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="XYN">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">Y</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XXY" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="XXY">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">X</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XXX" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="XXX">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">X</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XXN" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="XXN">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">X</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XNY" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="XNY">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">N</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XNX" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="XNX">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">N</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="XNN" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="XNN">checked="checked"</logic:match>></td>
									<td align="center">X</td><td align="center">N</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NYY" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="NYY">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">Y</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NYX" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="NYX">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">Y</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NYN" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="NYN">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">Y</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NXY" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="NXY">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">X</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NXX" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="NXX">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">X</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NXN" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="NXN">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">X</td><td align="center">N</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NNY" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="NNY">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">N</td><td align="center">Y</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NNX" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="NNX">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">N</td><td align="center">X</td>
								</tr>
								<tr>
									<td align="center"><input type="checkbox" value="NNN" name="payflowProAuth3Array" <logic:match name="settings" property="value(payflowProAuth3)" value="NNN">checked="checked"</logic:match>></td>
									<td align="center">N</td><td align="center">N</td><td align="center">N</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>

	<logic:present role="superuser,administrator,paymentsEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>
